==============================
1.13.2
==============================
Support AI integration on any Java >= 17
Show a message that AI is not available on Java <= 16
Option to scale fonts in AI chat
Save secrets in separate secrets.properties

==============================
1.13.1
==============================
AI Chat history
AI profiles
MCP clients must send the authentication token in header X-Freeplane-MCP-Token

==============================
1.13.0
==============================
AI integration (open router API key, Gemini API key, ollama, as local MCP server)

==============================
1.12.18
==============================
Bug fix: note panel

==============================
1.12.17
==============================
Bug fix: opening bookmark as root
Unify "show ... panel" action labels

==============================
1.12.16
==============================
Bug fix: deactivate outline for file mode

==============================
1.12.15
==============================
Map outline panel
AES encryption for encrypted nodes and maps
Open selection as root in a new view (alt+shift+ESCAPE)

==============================
1.12.14
==============================
Disable or force node minimization per map view (View->View settings->Displayed node content->...)
Option to highlight edges from root to selected nodes (View->View settings->Highlight edges from selection to root)
Bug fixes

==============================
1.12.13
==============================
Add user option "UI elements follow selected map
Add user option "Selected map follows active window"
Add user option "Mouse over selection scope"
Bug fixes

==============================
1.12.12
==============================
Node bookmarks (Navigate->Bookmark node, pop-up->Bookmark node)
Bookmark ordering by drag and drop
Add copy/paste between the map and the bookmarks bar
Add shortcut Control+Shift+B for switching between the bookmark bar and the map
Introduce option Preferences…->Behaviour->Selection->Sync only on branch change
Default behavior changes to full-depth synchronization
Add Next / Previous map view navigation for same map with Ctrl+Shift+N shortcut
Improve auto-scroll
Bug fixes

==============================
1.12.11
==============================
Format -> Automatic compact layout
Bug fixes

==============================
1.12.10
==============================
Drag and drop as sibling before or after
Pin conditions in filter composer
Show available tags in attribute panel
Insert tags on double click
Add strike through option
Support local installation without admin privileges on Windows
Use OS default look and feel key bindings across all look and feels
Code Explorer improvements
Fold/unfold when mouse pointer goes over folding control mark
Unfold during drag and drop when dragged object leaves node
PlantUML: use <user-directory>/resources/plantuml-include.txt if exists
  - equivalent of cmd param -Iplantuml-include.txt
  - included in every diagram after @start...
Bug fixes

==============================
1.12.9
==============================
Tooltips with Tags
Option to show icons above nodes
Selection with keys works like in Freeplane
Add nodes inside selection rectangle to selection if shift is pressed
Subtree search
Sibling selection by keyboard can change parent, loop over siblings or stay at the end
Option "Don't scroll after mouse interactions"
Option to show tags on minimized nodes
Copy and remove tags using drag and drop
Add PlantUML support to Markdown
  - to activate it, download recent plantuml jar
  - and save it as <user-directory>/resources/plantuml.jar
Tag background, text color and placement configurable via the tag style
Attribute table placement configurable via the attribute style
Option "Antialias during scrolling"
Option "Save ad-hoc filters"
Auto-save option "Overwrite mind map files automatically", disabled by default
Bug fixes

==============================
1.12.8
==============================
Use standard windows launcher generated by jpackage
Improve filter conditions
Multiple nodes selection using the mouse (CTRL+Click and drag)
Ignore whitespace between CJK characters if "ignore accents" is enabled
Ignore whitespace between CJK characters in node list
Autosave saves map file itself and not only temporary files
Option to paste HTML as plain text node hierarchy
Option to search in subtree using find dialog
Upgrade embedded Java to Java 21
Use Jetbrains Java as embedded runtime on Mac and Windows supporting emojis in default fonts
Use Azul Zulu Java as embedded runtime for Windows computers with touch screen
Group RMI server and API components together in Code Explorer

==============================
1.12.6
==============================
Bug fixes

==============================
1.12.5
==============================
Option to display tags with categories
Bug fixes

==============================
1.12.4
==============================
Bug fixes

==============================
1.12.3
==============================
Bug fixes

==============================
1.12.2
==============================
Better support for qualified tags
Unfold folded nodes when toggling children folding state
Scroll unfolded node tree to visible after any unfold action
Option to scroll unfolded node tree to visible after selecting a node
Option "Mouse wheel zoom (%)" setting percentage for zoom adjustments using the mouse wheel
Option "Synchronize selection across all visible views" available in Navigate->Synchronize selection
Update filtered nodes on unselected views after each map modification
Option "Preferences…->Behaviour->Link to emails from text"
Support transparent backgrounds for printing and exports
Support translucent backgrounds for mind maps
Allow running under Java 22

==============================
1.12.1
==============================
Node tags
Configure columns in "Find and replace"...
Distribution of new child nodes equally to both sides can be disabled
Use a horizontal rectangle for single clones and a square for branch-clone roots
Fix for state symbol to no longer be invisible when node border and background are invisible
New option to prefer node-border color for state-symbol background to make state symbols prominent

==============================
1.11.14
==============================
Filter condition "contains as whole words"
Code explorer improvements

==============================
1.11.13
==============================
Filter for connectors
Improvements for the filter hiding matches nodes

==============================
1.11.12
==============================
Add PDF export to code explorer maps
Group classes in code explorer using AspectJ like expressions
Bug fixes

==============================
1.11.11
==============================
Save user defined attributes and details on code explorer nodes
Record and analyze violations found by ArchUnit tests (https://github.com/freeplane/freeplane-archunit-extension)
Use Operating System Regional Settings by default
User option "Use Operating System Regional Settings" (Preferences…->Environment->Language)
Bug fixes

==============================
1.11.10
==============================
Fix launcher configuration

==============================
1.11.9
==============================
Implements JVM code explorer mode based on ArchUnit for visualization of code dependencies and structure

Auto-expand for selected nodes
Adds a view option to show connector arrows only for selection
Allows all launchers to use Java up to version 21
Adds actions "Find next/previous visible" and "Find next/previous removing filter"
Updates scripting api generator
Introduces new action to easily add new nodes linked to menu commands
Introduces new API method to copy user styles from another map
Improved Windows Launcher supports Java versions from 8 to 21

==============================
1.11.8
==============================
Support text writing direction for nodes and styles
Custom tab names
Reopen all map views after restart, not just one per map
Extend script API to configure node edges and node borders
Add option Apply filter when copying nodes as map nodes (default: false)
Add option Apply filter when copying nodes as map text (default: true)
Flower-like nodes (new node style "Flower" combines non-solid node borders with big border widths)
Bug fixes
==============================
1.11.7
==============================
Indicate jump-in as pin icon shown at the root node
Improve map autoscroll
Keep non CSS attributes on span elements
Bug fixes

==============================
1.11.6
==============================
Update dependencies
Make build compatible with Gradle 8
Bug fixes

==============================
1.11.5
==============================
Automatic stacked layouts
Prevent overlapping node drag handler from stealing the mouse pointer
Fast fold/unfold on node click if editing is not possible or editing on double click is disabled
Slide roots (jump-in and jump-out for slides)
Opening links to nodes try to use other map view if shift button is pressed
Plays sound on errors (Preferences…->Environment->Plays sound on errors)
Highlight any parts of text in node, details and notes
Indicate selected menu items and options in command search dialog
Improve handling of unknown html tags in pasted html content
Add option "Save Compact Hypertext" disabled by default
Bug fixes

==============================
1.11.4
==============================
Bug fix

==============================
1.11.3
==============================
Allow to remove minimum and maximum node width limits for the default style
Option View->Notes->Note follows selection (enabled by default)
Node children layout added to the toolbar
Latest features mind map added to help menu
Scripting API extended (node.getBranchAsTextOutline(), node.setBranchAsTextOutline(string))
Scripting Security permissions sharpened
Bug fixes

==============================
1.11.2
==============================
Bug fixes

==============================
1.11.1
===============================
Top-to-bottom, left-to-right and combined layouts
Base distance from parent node to child node configurable for parent nodes and styles
Node movement restricted to single directions
Simultaneous movement of all selected nodes
Fold/unfold only visible nodes and their ancestors
New flat look and feels for MacOS
TAB not blocked when editing node content

==============================
1.10.7
==============================
Bug fixes

==============================
1.10.6
==============================
Performance optimizations

1.10.6u1: fix font scaling for Java 11

==============================
1.10.5
==============================
Vertical aligning child nodes at the top, at the bottom or at the center of the parent node
Consider hidden free node positions in map layout
Creating new user style from selection assigns it to all selected nodes and clears their formatting
Make dragging area width configurable and increase its default size
Change key based navigation for summary nodes
Word wrap in editors for formulas, scripts, markdown and latex
Bug fixes

==============================
1.10.4
===============================
Jump in selected subtrees
Preset style assigned to new nodes using Format->Set new node style->...

==============================
1.10.3
===============================
Compact map layout
Search & Replace dialog improvements
Add option to remove icon if exists when icon action is triggered
Allow to use AltGr for user defined short cuts
Style icons are not displayed in node search dialog by default (there is a new option)
Tool bar elements reorganized
Bug fixes

==============================
1.10.2
===============================
Bug fixes

==============================
1.10.1
===============================
Java 17 support
Groovy 4
New UI icons (created by Rexel and Predrag)
Command line option -R to run groovy scripts on start-up
Support command line options -R and -S in non interactive mode

===============================
1.9.15
===============================
Bug fixes
==============================
1.9.14
===============================
Bug fixes
==============================
1.9.13
===============================
Bug fixes
Replace Darcula by supported Flat Darcula Look and Feel and add some other Flat Look and Feels
Add user configurable workspace title to window title bar
Add new node shape "invisible" for nodes with invisible node border, therefore map xml version number is incremented
Add copy/paste color actions to color property pop-up menu
Add option to configure size of formatting panel UI elements (big or small)
Support dark mode in code editors (groovy, markdown, latex)
Instantly update look and feel after preference change
Improve version update notification

==============================
1.9.12
===============================
Bug fixes
CSS support
Switch between paragraphs and headings in rich editors
Keep icon selection dialog open after icon is chosen

===============================
1.9.11
===============================
Apply ancestor/descendant filter flags to revealed nodes (e.g. goto connector)
Activate undo / redo in inline editor (hot keys control+Z/control+Y)
Outline view should always create new child node as the first child
Bug fixes
==============================
1.9.10
===============================
Bug fixes
==============================
1.9.9
===============================
Bug fixes
===============================
1.9.8
===============================
Rework formatting panel UI
Make changes in templates from formatting panel
Apply all selected node style properties to selected nodes
Add filter conditions targets (Own, Parent's, Any child's, Any ancestor's, For all children, For all descendants)
Apply all selected node style settings to selected nodes
Revert rectangular selection to take its color from user preferences
Default style setting can not be removed by user
Assigned and conditional style formatting options override level style options

===============================
1.9.7
===============================
Bug fixes

===============================
1.9.6
===============================
Highlight nodes depending on selected condition in filter composer
Fix custom hyperlinks
Option to activate spotlight by default
Easy template updates from formatting panel
Bug fixes

===============================
1.9.5
===============================
Bug fixes

===============================
1.9.4
===============================
Resizable and moveable map overview
Action to open directory of the current map

===============================
1.9.3
===============================
Map overview
Center/move the selected node at/to top/bottom/corners

===============================
1.9.2
===============================
Bug fixes

===============================
1.9.1
===============================
Connector styles configurable at user style nodes in style editor
Selected node colors configurable at appropriate styles in use style editor
Markdown support for node core, node details and notes
Latex support for node core, node details and notes
Formula support for node core, node details and notes
New Freeplane Application icons and splash screen
Configurable icons for links depending on link URL and file extension
Following styles defined in external maps (synchronized when the map is loaded)
New action for copying styles from other maps but keeping own user styles if they are different
Fix default edge and node widths
Option to open node links only if Control key is pressed
Add background colors to generated HTML
Option to disable all colors in generated HTML
Speed up file dialogs
Support VAqua Look and Feel for MacOS
Scripting API extended to support the new features
Copy images pasted into rich text editors
Mind map template previews
Replace SplitToWords by SplitInRows

===============================
1.8.12
===============================
Copy images pasted into rich text editors (simplyhtml 0.18.1)

===============================
1.8.11
===============================
Draw clouds around hidden or filtered our nodes
Don't indicate hidden or filtered out nodes by special edges
Non blocking editing of node core, details and notes in dialogs

===============================
1.8.10
===============================
Command search dialog improvements

===============================
1.8.9
===============================
Bug fixes

===============================
1.8.8
===============================
Improve script API for non visible maps
Improve map rendering performance
Bug fixes

===============================
1.8.7
===============================
Search in menus and preferences
Remove emoji icons from menus and toolbar by user preference
Cache compiled scripts
Improve map scrolling after editing

===============================
1.8.6
===============================
Bug fixes
Performance improvements
Quick "And filter" and "Or filter"

===============================
1.8.5
===============================
Bug fixes

===============================
1.8.4
===============================
Bug fixes

===============================
1.8.3
===============================
Usability improvements suggested by University of Oulu UX research group
Bug fixes

===============================
1.8.2
===============================
Bug fixes

===============================
1.8.1
===============================
Filter hiding matching nodes with ancestors / descendants
Hide and show note panel tool bar using freeplane menu
Optionally ignore accents and diacritics in filter conditions
Keep white space inside the line in search and replace dialog
Set individual filter for each map view
Improvements for MacOS Menus
Bug fixes

===============================
1.8.0
===============================
Use UTF-8 encoding for mind map files
Use emoticons from https://twemoji.twitter.com/ as icons
Use only svg icons, remove png icons when svg icons can be used
Hierarchical icons for subtrees

===============================
1.7.14
===============================
Bug fixes
Support Java 13
"Enter" closes only dialogs with "confirms by default" check box

===============================
1.7.13
===============================
Bug fixes

===============================
1.7.12
===============================
Bug fixes

===============================
1.7.11
===============================
Fix copying text from clipboard
Scale icons in filter conditions
Make LaTeX line spacing configurable
Java 13 support
Viewing/Editing user interfaces
Simple/Advanced user interfaces

===============================
1.7.10
===============================
Fix menu mnemonics
Do not output links twice copying nodes to clipboard
Allow to change positions of LINE shape connectors
New action: select nodes matching filter
Dark UI mode support (Look and feel and map template "Darcula")
Overwrite system properties from installation specific file <install-dir>/system.properties
Environment var FREEPLANE_JAVA_OPTION_FILE can override path to system.properties read on start
Add new properties  to connector API : dashArray, opacity, width, labelFontFamily and labelFontSize
Suggest to delete all user configuration and resource files on uninstall
===============================
1.7.9
===============================
Bug fixes

===============================
1.7.8
===============================
Hide nodes
Bug fixes

===============================
1.7.7
===============================
Bug fixes

===============================
1.7.6
===============================
Bug fixes

==============================================================
1.7.5
===============================
Bug fixes

===============================
1.7.4
===============================
Insert reference to node attribute in formula editor on mouse click in the attribute table
Use "at"-syntax for global nodes with aliases when node reference is inserted in formula editor
Copy, cut and paste of selected attributes
URLs in string or file attribute values are interpreted at runtime
URLs returned by formulas in attribute values are considered
Image preview is shown as tool tip for attribute values
   containing URL pointing to svg or some known bitmap image
Creating attributes from plain text in clipboard
Show map titles in dialogs showing nodes from different maps
Show all passed reminders in one time task dialog on start or after the map is loaded
Add execute script and remove reminder buttons to time task dialog
Show past reminders action
Support dependency management in groovy scripts (see http://docs.groovy-lang.org/latest/html/documentation/grape.html)
Bug fixes

===============================
1.7.3
===============================
Show exception traces in formula editor
Bug fixes

===============================
1.7.2
===============================
Java 7 support dropped, Java 8 is required
Formula dependency tracing
Java 11 compatibility
===============================
1.7.1
===============================
API for referencing nodes from formulas and scripts
API for loading mind maps
API for script execution
Use same syntax in node URLs like #at(:~someNodeAlias)
Node aliases
Global nodes
Filtering nodes on aliases and on global accessibility
Option to skip dialog for unassigned F-keys
Denied (inverted) conditions in filter toolbar
Update Groovy to version 2.5.2
Update JLatexMath to version 1.0.7
Update batik to version 2.10
Export for selected branches only
Go to nodes by their "reference paths"

===============================
1.6.16
===============================
Freeplane API for Java applications
References to other mind maps from formulas and scripts
Library scripts compiled only when changed
New API for loading mind maps from scripts

Bug fixes

===============================
1.6.15
===============================
Bug fixes

===============================
1.6.14
===============================
Option to hide connectors
Option to show connectors only for selected nodes
Options for handling texts and fonts in exported PDF and SVG
Fix icons on buttons and menus available only as svg images

===============================
1.6.13
===============================
Update byte buddy (fix scripts execution under Java 9)
Add icon and attribute conditions to style editor
Skip node numbers on node sort and in some other cases
Show creation modification in the status line
Improve performance for many with many SVG icons
Fix Java applet

===============================
1.6.12
===============================
Outline view fits window width (option)
Save note when note editor looses focus
Detail icon color matches detail color instead of node border color
Bug fixes

===============================
1.6.11
===============================
Sorting nodes does not break summary nodes
Strike through formatting for nodes added
Bug fixes

===============================
1.6.10
===============================
Reenable and fix exports to PDF and SVG

===============================
1.6.9
===============================
Fix restoring connectors on undo

===============================
1.6.8
===============================
Fix opening maps on start for mac os
Drag and drop of image file holding Ctrl+Shift creates a link without inserting the image into the map

===============================
1.6.7
===============================
Update JLatexMath
Bug fixes

===============================
1.6.6
===============================
Bug fixes

===============================
1.6.5
===============================
Bug fix for edge color configuration
Allow use of java9 in launcher

===============================
1.6.4
===============================
Bug fixes

===============================
1.6.3
===============================
Bug fixes
Java 9 support
REmoved broken export to flash

===============================
1.6.2
===============================
Multi-columns icons tool bar
"Close all maps" and "close all other maps" actions added to file menu
Options to hide icons and connectors
Option note icon in notes tool-tip
Aligning current node on the left side, on the right side or on the center, hot keys alt+W (west), alt+E (east), alt+C (center)
Option to move aligned node smoothly
Option to define spotlight background color
Copy single slides and complete presentations

===============================
1.6.1
===============================
SVG icons for map and UI
Configurable map icon size
Configurable UI icon size
Paint clone node markers only on selected nodes
Image in node without black border (no border)
Option to hide connectors when filtering hides other connector end
Independent presentation mode for different map views
Configurable clone marks
Configurable standard cloud shape
Action for showing next presentation item without folding other nodes
Improved presentation panel
Optional presentation automatics "processesUpDownKeys", "switchToFullScreen", "switchToPresentationMode"
Increased sensitive area for image scaling
No special treatment for white space nodes when content is copied to text
Option to paste images from files
Dragged and dropped files are copied into directory mindmap_files/ if CONTROL key is pressed

===============================
1.6.0
===============================
Configurable node border widths
Configurable node border colors
Configurable edge line type
Configurable node border line type
Configurable standard for connector arrows
Configurable standard for connector line types
Presentations
Export for java web start
Editor dialog for automatic edge colors

===============================
1.5.21
===============================
MacOS version with embedded Java 1.8.0_121
Workaround for Windows 10 "Creators update" bug

===============================
1.5.20
===============================
Bug fixes
Export for java web start
Security fix related to scripts and formulas
Security fix related to loading of mind map files
Change short cuts for MacOS to avoid collisions

===============================
1.5.18
===============================
Bug fixes

===============================
1.5.17
===============================
Freeplane Survey Runner
Bug fixes

===============================
1.5.16
===============================
Keep last selected exporter in dialog drop-down box
User translations
Dialog to choose template when new map is created

===============================
1.5.15
===============================
Bug fixes

===============================
1.5.14
===============================
Fix latex export and support latex in style editor
Fix default hot keys for NewSummaryAction and NewParentAction on mac
Check for non negative quantity values for minimalDistanceBetweenChildren, minWidth and maxWidth
Improve bug report generator
Command line interface improvements

===============================
1.5.13
===============================
Support High Density Monitors by scaling UI elements
New SimplyHTML actions and short cuts for color and font size changes
Improve positioning of inline editing field for left side nodes
Performance optimizations for filtered maps
Performance optimizations for huge maps

===============================
1.5.12
===============================
Improvements in launcher for Mac OS
Bug fixes

===============================
1.5.11
===============================
Restore old default map template

===============================
1.5.10
===============================
Stable release

===============================
1.5.9
===============================
User preferences can be saved and loaded from preferences dialog
Drag and drop of *.freeplaneoptions file into the preferences dialog
Look and feel jar can be put into user lib directory and class name entered into the preferences

===============================
1.5.8
===============================
Init scripts
Rework scripting permissions

===============================
1.5.7
===============================
Keep summarized nodes together
Option "Center small maps" for map position when root is selected
Option to copy structure indentation as tabs
Allow joining non sibling nodes
Configurable join node action separators
Allow to redefine actions for keys LEFT, RIGHT, UP, DOWN, PAGE_UP and PAGE_DOWN

===============================
1.5.6
===============================
Format changes (save length/width attributes as quantities)
Scripting: textUtils.setClipboardContentsToHtml()
Attribute table background and border color taken from attribute style or from current node
Set standard content as default for BigMap.mm
User defined characters to be accepted in words by SplitToWordsAction
Automatic edge colors for node levels (format change)

===============================
1.5.5
===============================
Save autosave period in time period units
Reminder notification popups
Change shortcut for blue color in inline editor to control + L
Use dark green in inline editor
Import arbitrary xml as mind maps
Export mind maps to xml (no syntax validation)
Move menu and preference configuration to external resources
Save attribute column widths in points
Open new maps near selected maps

===============================
1.5.4
===============================
Single node clones
Copy format to new siblings (option)
Scroll map after unfolding a node (option)
Change node size on mouse wheel scrolling
Optionally copy icons with node format
Extend scripting API for clones
Only connectors inside cloned subtrees are replicated
Local hyperlink targets are not changed for clones

===============================
1.5.3
===============================
Background images
Clones
Scripting API extensions
Save and restore last edit location
New handling for summary nodes
Actions for splitting node text to words

===============================
1.5.2
===============================
Save node location options in length units
Use new style "attributes" for attribute formatting

===============================
1.5.1
===============================
New node shapes small_bubble, oval, rectangle, hexagons
Node shape margin and uniform options
Improve map positioning on start and on window size changes
Make Javascript scripts available with Java 1.8

===============================
1.5.0
===============================
Node and detail text alignment
Distance between child nodes can be set in node style
Support length measurement units pt, cm, mm and in in addition to px
Formatted tool tips
Remove tabs and borders in full screen
Column based edge colors
Summary node improvements
Do not clear "map modified" flag unless save was successful
Configurable default Map Save Directory
Changed behavior of read-only maps
Make data formatting, formula processing and LaTeX rendering independently configurable
Keep icon name of user icon if it's not found in the current installation

===============================
1.3.16
===============================
Fix zooming for external images
Automatic edge coloring: no yellow edges
Fix date filtering on nodes and attributes
Use oracle appbundler and universalJavaApplicationStub.sh for MacOS
===============================
1.3.15
===============================
Work around for JRE 1.8 bug for editing of attributes
===============================
1.3.14
===============================
Use oracle launcher for MacOS
===============================
1.3.13
===============================
Update knopflerfish due to problems with Java 1.8 on MacOS
Use xslt transformation if map starts with XML directive
===============================
1.3.12
===============================
Use universal java launcher script for MacOS
Include Freeplane_LaTeX.mm in distribution
Add LaTeX beamer export filter
Fixes for docked windows and tabs
Follow redirects for http and https mind map urls
Fix handling for identity format pattern in attributes
Fix inputting Japanese via IME on inline-edit (https://github.com/freeplane/freeplane/pull/31)
Fix https://github.com/freeplane/freeplane/pull/37
Fix add-on and script handling with Turkish locale
===============================
1.3.11
===============================
Stable release
===============================
1.3.10
===============================
Bug fixes
Rectangular splash
===============================
1.3.9
===============================
Bug fixes
===============================
1.3.8
===============================

===============================
1.3.7
===============================
compress tabs and remove ".mm" from tab titles
Add Format=Unparsed LaTeX and \unparsedlatex node prefix to allow LaTeX content that is solely used for export

===============================
1.3.6
===============================
Allow program arguments like file.mm#ID_123456 to choose the first selected node
Allow to enter external http and https urls in add / change external image dialog
Use signed jar so that local jar files work with the latest java versions
Export improvements
Update groovy to 2.1.9
Performance: cache compiled scripts
Add-on jar libraries
Install url handler for protocol "freeplane" for windows and mac
Scripting API: node.style.numberingEnabled, node shifts, node.minimalDistanceBetweenChildren

===============================
1.3.5
===============================
Menu and preferences structure can be edited by users
Undockable maps
Option to set image resolution for PNG/JPG image export
Scripting API for node encryption, exports and map specific storage
Textbox in preferences for common/global LaTeX macros (plugins->LaTeX)
===============================
1.3.4
===============================
Undockable maps
===============================
1.3.3
===============================
Internal frames
===============================
1.3.2
===============================
Bigger filter composer window depending on screen resolution
Ability to rearrange custom filters in the filter composer
Named filter conditions are part of the main menu
Command line option -U <user config directory>
Compile scripts on class path on startup
Several scripting API extensions

===============================
1.3.1
===============================
Open Street Maps as node extensions
Latex rendered inline with automatic line breaks
Editor for Latex with Syntax Highlighting
Cloud support in the scripting API

===============================
1.2.24
===============================
Use signed applet and jnlp descriptors so that local applets can run with the latest java
===============================
1.2.23
===============================
Bug fix for dragging of nodes when node tool tip is shown
===============================
1.2.22
===============================
Bug fixes for script based conditions for filters and conditional styles
Do not request more than 512m to avoid problems with 32 bit java
Fix: drag-drop of Firefox hyperlinks
Fix: Change autoscrolling behavior if mouse pointer is outside the map
Fix: fix unfold level actions if some children are hidden
Fixes to display notes in applets under MacOS
Fixes to use find dialog in applets under MacOS
===============================
1.2.20
===============================
Install as 64 bit program on 64 bit windows
Do not check for java in windows installer
Do not change edge width or style when AutomaticEdgeColorHook is executed
#1801: improve consistency of data formatting
Add min/maxNodeWidth to scripting API
===============================
1.2.19
===============================
Use launch4j as windows launcher
Use standard portable app launcher
copy user icons from freeplane 1.1.x on the first start
build test dist version for PortableApps.com
do not draw text on spash if the splash comes from a file
Bug fixes
===============================
1.2.18
===============================
Java 5 compatibility fixes
Release
===============================
1.2.17
===============================
Bug fixes
===============================
1.2.16 rc
===============================
Bug fixes
Support for free nodes in the scripting API
Support for debugging of external groovy script files

===============================
1.2.15 beta
===============================
Approximative search in rich text editor
Add and remove reminders via scripting api
Rich text editor: add "Paste plain text" context menu item and "default paste mode" preference option

===============================
1.2.14 beta
===============================
Fix calculation of all font sizes
Properties "Apply system screen resolution default" and "User defined screen resolution (dpi)"
Various fixes for formatting of attributes
Scripting: treat URIs special to allow clickable attribute values
Presentation mode (see menu View and preferences->Appearance->default colors)
Unfold children one-by-one by shift + SPACE, Navigate -> Show next child or shift + click inside folding circle
Creating of links between nodes and maps using link anchor actions

===============================
1.2.13 beta
===============================
Search enhancements: Approximate search feature, control search via key presses, busy cursor, some fixes
Fix editable Comboboxes for some L&Fs
New UI for folding
Formatting option to display hyper links as HTML
Insert free nodes on double click + folding
Options for editing on double click and folding on click inside a node
Drop images if control is pressed and links to files otherwise
Hyperlink in text as node text style option
Performance and memory optimizations for scaling of external bitmap images

===============================
1.2.12 beta
===============================
All documentation maps displayed in MindMapMode
Online documentation map accessible
Action "Open map from URL" for accessing maps from the internet
Action "Restore from local history" for easy access of backuped or autosaved maps
Settings "Display attribute icon" and "display note icon" saved with each map separately
Files ending on addon.mm are recognized as add-on packages
Icon support for add-ons
Action "Highlight all matching nodes"
Fixes for date and number input parsing
Node can be split from the in-line editor pressing alt+S .
Nodes containing child nodes can be joined, their child nodes are moved as well.
New node property "always unfolded node"
New properties for standard attribute key and attribute values widths
New node format "Text" for disabling formulas and format for selected nodes
Rename automatic level styles to Title and Heading X
Automatic recognition of URLs in attributes
Command line arguments allow batch execution of menu items
Remind later feature
Pan the map with Ctrl+Shift+Cursor up/down/left/right
Inline editor and detail editor start on Ctrl + mouse click (META  on Mac OS) instead of double click
Control (META on Mac OS) should be held for creating free nodes

===============================
1.2.11 beta
===============================
First beta
===============================
1.2.10 alpha
===============================
Minimal node width and maximal node width as node / style property
Add-on support
===============================
1.2.9 alpha
===============================
Better support for hyperlinks in editor dialog
Links can be accessed from inline editor and tooltips
Free positioned nodes
Paste of images from clipboard
===============================
1.2.8 alpha
===============================
Scripting API has improved support for formats
Scripting API allows to implement filters in Groovy
Conditional styles for single nodes and for styles (!!)
Notes can be edited on styles and assigned to related nodes
Reminder based filter conditions
Script based filter conditions
Scripts in reminders
Scripting support math with nodes: node.text = "2"; assert 3 * node * 2 == 12
Code completion in formula editor
Performance optimizations for printing
Filter flag "Unfold hidden nodes" removed
Filter flag "apply to visible nodes" no more automatically set / unset
Obsolete documentation key maps and menu references removed

===============================
1.2.7 alpha
===============================
New splash and icons
Multiple bug fixes
Enable Details for Styles
Copy style attributes and details if is the first user action performed on an new node assigns a style
Improved design of attributes in node tooltips

===============================
1.2.6 alpha
===============================
Auto formatting of numbers
Formatting of attributes
Improved connector editor
Configurable parsing of dates and numbers
filter conditions "Attribute contains", "Attribute matches" and "Icon exists"
Reorganized user menu
Font and colors of node details is controlled by style "Details"
Font of notes is controlled by style "Notes"
In-line editor for new details available, edit details in separate dialog is possible as another action
Always run "assign new short cut" for unassigned F-keys
Goto Node with ID Action

===============================
1.2.5 alpha
===============================
New features:
New menu structure
Summary nodes
Multiline connector labels
Individual connector label font family and font size
"Add connector" action creates also connectors to self
Preferences->Behavior->In-line node editor->Layout map during editing
  disable for better performance

===============================
1.2.4 alpha
===============================
New features:
Display content type icon in status line, attribute editors and find/filter editor
Use META key for multiple selects on mac
External object slideshow-function + extended progress display
Progress up, Progress down, Extended progress 10% and Extended progress 25% in icon menu
<freeplane-user-dir>/resources added to resources search path

===============================
1.2.3 alpha
===============================
New features:
Date comparison for nodes and attributes
Attributes in node styles
Insert "external images" on drag and drop to a node
Date format selection in calendar and attribute panel
New style options format/template and node numbering
Hyperlinks in attributes
Inline editor for Node Details (on single click)
Links to nodes in attributes. Shortened content of the linked nodes is displayed.
Date and time selection in Filter / Search
Enable printing from rich text editor
===============================
1.2.2 alpha
===============================
New features:
Different shapes, line types, width and transparency for connectors
Resize-able style, calendar and attribute panel
Syntax coloring for latex
Time in date filters

===============================
1.2.1 alpha
===============================
New features:
Node styles replace style patterns (like in text processors)
Conditional node styles: node formatting depends on its content and position
Hyperlinks for menu items
Keyboard shortcut documentation: Map and HTML table generation added for the documentation map
Check for newer auto save files on opening of a map
343] Single instance mode: open files in existing program instance instead of opening a new one
Node level dependent filters
Improvements in search and replace functions
Different shapes for clouds
Node details
Shortened node view
Formula plugin ("spreadsheet plugin")
Extended scripting API
Single backup directory
Improved node tool tips with copy and scroll bar
Script and formula editor JSyntaxPane from http://code.google.com/p/jsyntaxpane/
When Formula Editor is visible, double click on node inserts node ID, single click folds/unfolds.
Inline editor supports some HTML formatting, use pop-up menu->format or hot keys
Automatic Edge Color
"Grid" for moving of nodes (Preferences->Behaviour->Grid gap size)
Copy and paste attributes between nodes
Named filter conditions

===============================
1.1.3, 2010-12-06
===============================
Bug fixes:
732]: Saving to any networkshare takes extremely long time
749]: highlighted text does not appear highlighted anymore
add dutch translation to spell checker
Dutch docs and translation
translations  for  it, zh_TW
multiple bug fixes in spell checker
bug fix: freeplane did not start if unsupported language code was set in properties
770]: Find and Replace... runs into infinite loop on certain HTML nodes
Fix layout for long textes in BNodeNoteViewer: use JEditorPane instead of JLabel
Bug fix in remove format action of simply html

===============================
1.1.2, 2010-08-22
===============================
Bug fixes in applet browser
Catch exceptions thrown from hook writers
414: handling of non letter characters in spell checker
722]: Image http url putted in open file dialog for inserting an image hangs freeplane

===============================
1.1.1, 2010-07-17
===============================
New version of latex component included

===============================
1.1.0, 2010-06-26
===============================
Bug fixes:
662]: Printing all works wrongly after printing defined page(s) (workaround for windows java bug)
665]: After a contextual "Copy" the "Paste" command creates a new node

===============================
1.0.45 rc, 2010-06-06
===============================
New features:
Display filled folding mark if there are some descendant folded nodes  with visible descendants are hidden by a filter

===============================
1.0.44 rc, 2010-05-23
===============================
Bug fixes:
ignore gragging of connectors in outline view
inserting text strings as siblings using drag and drop
633]: tree_&_outline_views_differ_depending_on_edge_style,_color_and_position
635]: note cursor position seems to assume different font-width than displayed text
make page number label in preview dialog wider
627]: In OptionPanel : size of the extra width is displayed with value "0" after change
NextNodeAction worked wrong if no next node was available
getAbsoluteUrl worked wrong for unsaved maps
attribute table worked wrong if Assign Attributes dialog was used when the table was edited
645]: Note-Edit-Switch becomes unusable when assigned certain key-combinations
646]: Command "New encrypted map" should always be available in Freeplane

===============================
1.0.43 rc, 2010-05-09
===============================
New features:
Documentation map reworked
Menu reference map added
New number icons added to flash browser (0, 8 and 9)
Display icon toolbar with the scroll pane as default
Paint all links with line width = 2
Preserve links colors and edge widths in Outline View
Action "note edit switch" moved to menu Edit
Add Map.getFile() to scripting API
Added question "remove file from last opened file list" if file is not found
Added option "Environment->Files->Load last and new maps"
Connector menu and arrows available in outline view


Bug fixes:
Map background color properly displayed in flash browser
551: deleting nodes via scripting interface using each iterator throws exception
448: separators of pulldown menu Navigate
453: Icon repeated twice
548: Assign new short cut only on real menu item mouse click
Bug fix for removing attributes / values using AttributeManagerDialog
576]: PanelOption : the default Window size for SimplyHTML
Translations

===============================
1.0.42 rc, 2010-03-30
===============================
New features: Automatic bug report requests user support depending on submitted information

Bug fixes:
HierarchicalIcons caused endless node refresh
Text properties and documentation improvements

===============================
1.0.41 beta, 2010-03-15
===============================
New features:
add empty icon empty.png to resources
Take link icons URLs from properties
Wrap toolbars for narrow windors
add bzr info to distributions
Filter by regexp
Export to mediawiki (from export using XSLT dialog)

Script API:
support for multiple valued attributes

Bug fixes:
use node id in links to other maps
425]: Drag and drop from file explorer under Linux does not create a node with relative link
Use fractional metrics for calculating bounds of images to be exported
Reduce size of buffer for exporting map as image
406]: Clouds are truncated when exporting to bitmap: add small space around the exported image
Use print instead of paint for exporting maps as bitmaps
Antialiasing of cloud around the root node
451]: Error when browsing a map Exported as a Java Applet
General protection from writing non ASCII characters in XMLWriter
Adjust calendar dialog size to screen
SimplyHTML.jar: bug fix for drag and drop
AttributePopupMenu: do not display it if table is being edited
uri pattern in MLinkController
bug fix in JoinNodesAction for not standard html nodes
bug fixes in AttributeTable and FButtonBar
482]: Scroll speed of some dialogs are slow.
479]: Valid URL triggers Automatic Bug Report
bug fixes for automatic bug reports
470]: Experimental file locking problem in  - Export Branch as new map
467: Scroll speed of Manage Patterns Dialogs
Toolbar layout bug fix
Painting of toggled buttons under mac improved
463]: display warning if applet can not display images because of SecurityException "no file access"
bug fix for full screen under linux
fix build target dmg4mac
462]: Escape key deletes the currently typed text in node and the parent node's text if created just before
454]: Clear hyperlink
450]: Some French Keyboard keys do not work under Linux


===============================
1.0.40 beta, 2010-02-23
===============================
New Features:
Mac OS support
CopyIDAction
SetAcceleratorOnNextClickAction
Introduce charset option in preferences to overload the default
Filter node text by regular expression

Script API:
Controller, Node: find methods for searches on the whole map and subtrees
Controller: methods for accessing the status line

Bug fixes:
FButtonBar layout
Executing of scripts on multiple nodes
use clipboard mode on export
385: Unwanted icon delete
419]: Turn links to images
420]: Shortcuts (accelerator keys) don't work going from 1.0.37 to 1.0.39
415]: Truncated F-Bar
425]: Drag and drop from file explorer under Linux does not create a node with relative link: rewrite MLinkController.findLink
429]: Cannot load Freeplane after updating Java: check jre version on start
fix comment handling in richcontent
always substitute non ascii character in xhtml
match plain text instead of html for notes too (like in bug 437)
433: Same choices in Look and Feel selection
441: No Undo for changes of NodeModel.getHistoryInformation().lastModifiedAt
442: Freeplane is opened "in the background"
437: unexpected behaviour of function (find - Node text - Contains)
option enter_confirms_by_default moved to behavior tab
439: Enter and Alt+Enter  for inline node editor and long node editor
opening of map files by drag and drop under linux
390: drag and drop of files to nodes under linux
426]: Encrypted portions of maps don't export properly:
do not start node editing on BACKSPACE

===============================
1.0.39 beta, 2010-02-01
===============================
New Features:
Implemented script content caching
added script introspection for source annotations @ExecutionModes and @CacheScriptContent
freeplane_ru.mm, translations fr and it
Filter Hyperlink exists and Connector exists
enclose the script execution in a UndoHandler transaction and do a rollback on errors
Display node id in status line(can be set in preferences->appearance)
Add access top map and getting node by id to scripting API
410]: Unable to assign space bar to insert new node
Move note cursor to the end added
add MapProxy with method node(id) to scripting api
workaround for windows launcher "FREEPLANE_MAX_HEAP_SIZE=512m"

Script API:
new interface Proxy.Map introduced
Method Proxy.Node.getRootNode removed

Change default settings:
Move note cursor to the end by default
freeplane2flash.xsl : fold from level 2
standarddrawrectangleforselection = true
time_for_delayed_selection=200 ms
save_only_intrisically_needed_ids=true
save_folding=never_save_folding
load_folding=load_folding_from_map_default_fold_all
load_folding_start_level=2
extract a new interface method AttributesProxy.getAttributeNames()

Bug fixes:
windows launcher checks available memory
follow links only for the link region
Increase scrolling unit increment for some scroll panes
Add OK and Cancel buttons to Latex Editor
390]: 1.0.39.-1: cannot insert some kind of links manually
test as osgi
fix resource leak
doc folder
bug fix for displaying svg graphics with not integer dimension
undo-redo, cut and paste of nodes with links
local links
move focus to node view after editin latex
380]: modification time not always shown
384]: Filtering by icon
layout bugs for filtered maps
379]: Script run from pattern - doesn't run - Mishandling of Quote characters

===============================
1.0.38 beta, 2010-01-14
===============================
New features:
warn user on loading incorrect links
lazy loading of the spell check dictionary
enable spell check for note editor  only while it has focus
hierarchical menus for groovy scripts
Resources_ja.properties
Resources_fr.properties
jlatexmath-0.8.5.jar

Bug fixes:
377]: wikimindmap can be opened by Freemind but not by Freeplane
set permission to execute freeplane.sh in ant script
store property 'filter_ignore_case' between sessions
376]: designating the tab key as the default for insert new child doesn't work on new installations
bug fixes in attribute dialogs
374]: "Remove Last Icon" keyboard shortcut does not work
bug fix in UndoHandler for transactions
373]: Scripting: Compilation errors result in inoperative scripting engine
372]: Unable to create filter "containing attribute icon.
371]: Status of arrows for local links is not restored in the menu
366]: wrong bubble node layout when done the first time fixed (NodeView.java)

===============================
1.0.37 beta, 2010-01-02
===============================
New features:
Loading and execution of external Groovy scripts (Volker Boerchers, Dimitry)
http://freeplane.sourceforge.net/mediawiki-1.14.1/index.php/External_script_file_execution

JLatexMath replaces HotEqn
http://forge.scilab.org/index.php/p/jlatexmath/

Bug fixes:
367]: "View->Attributes->Show selected attributes" not restored
362]: outline view behaves inconsistent when deleting node
jlatexmath-0.8.4.jar
366]:Spacing at the begin of bubble node
363]: Two minor bug about note
ChangeSelectionOnPropertyChange
Resources_hr.properties
new italian translation + automatic translations
355]: note tooltip appears truncated on the right side : do not limit maximum width of tooltips with long lines
364]: folding symbol eats the last letter of the bubbled node
new italian translation + automatic translations
display selected attribute view type in menu
363]: Two minor bug about note
JLatexMath replaces HotEqn
support spellchecker options
better solution for inserting nodes into encrypted nodes
356]: Encryption violation triggers Automatic bug report
185]: Menu radiobutton not updated on node selection for format edge style or width
360]: Inserted graphics node doesn't give up input focus
performance optimizations
load all plug-ins from <install-dir>/plugins und <user-home>/.freeplane/plugins on start
355]: note tooltip appears truncated on the right side: always place tooltip under the node

===============================
1.0.36 beta, 2009-12-21
===============================
Bug fixes:
remove memory leak for long node editor
bug fixes in scripting
fixes for automatic bugreports
346]: Menu Accelerator Keys Missing for Maps ans Help
Bug for % in user icon names
348]: Applying dates to nodes : append date to node text field / attribute is it is being edited
use only visible nodes in find/replace
bug fix for SelectAllAction
bug fix in ExportBranchAction
bug fix in OpenUri with map
bug fix: do not request focus in note editor on start
341]: Scripting API bugs
335]:Toggle Encrypted/Decrypted
bug fix in grabbing short cut
build patch from ewl: separate properties
freeplane.sh patch for MAC OS
ApplicationViewController.openDocument refactored
changes in GrabKeyDialog
336]: Shortcut key to switch note window on/off (Ctrl+Shift+Less) does not work
334]: Attributes disappearing
333]: Export as HTML does not show icons
333]: Icon file name in exported HTML
332]: connector options works only for option "both"
bug fix in open url
330]: New scripting API bug in proxy.Connector (?), general problem with scripting engine
insert 4 spaces if tab is pressed in text editor
Replace Freeplane by FreeMind for old program versions in history_en.txt

===============================
1.0.35 beta, 2009-12-06
===============================
New features:
Freeplane as Portable App (*.paf.exe)
support changing drive for last opened map list portable apps
maximum node width saved in the map file
save zoom and layout type in the map file
Use current map content (no file required) for exports using ExportWithXsltDialog
new splash design

Bug fixes:
316: Export menu for "Using XSLT" duplicates the pull-down file options each time it is accessed
310]: note window - refresh bug
315]: Export of user icons
bug fix in icon toolbar menu hierarchy
bug fixes for automatic bug reports
326]: mailto: feature not working in v1.0.34
323]: Map Area Coordinates Are Inaccurate
320]: Alt+Tab from/to Freeplane can cause menu to be highlighted
322]: clicking local link opens "Save As..." instead of moving to the linked target node
321]: Scrollbar Speed
bug fixes for menu bar, f-bar and NodeView.contains
new  createURI (by Eric and Dimitry)
bug fix for Clear Case: do not lock read file

key mapping guide

===============================
1.0.34 beta, 2009-11-06
===============================
New features:
menu hierarchy for user icons based of folder structure

Bug fixes:
new splash screen
SharpBezier shape changed
306]: Sub folders under user icons
305]: Absolute/relative hyper link for external objects
305]: Absolute/relative hyper link for images
use wider sharp bezier edges (299]: Thicker edge width and few proposal about Bezire sharp edges)
bug 303: Hierarchical Icons unacceptably slow performance
bug 291: Priority filtering is broken

===============================
1.0.33 alpha, 2009-10-30
===============================
Bug fixes:
Improved node selection using arrow keys for outline view
287:Format message for changed zoom in Italian and French
Update check for localized versions
285, 281, 229, 246, 248, 272: Use proper URI for open URL
228: load empty files as a new mindmap
227: In the preferences > Move "Hyperlink Types" from "Appearance" tab : moved to environment
216 Focus after note window
Temporarily remove help plugin
Add jortho to source distribution
177: Modification times
include freeplane_framework into src dist
278: Bold on and italic on  icons don't show properly in SimplyHtml toolbar
250: Tag balancer in xhtml writer

===============================
1.0.32 alpha, 2009-10-22
===============================
Refactoring for icons (Tamas)

Bug fixes:
bug fix for full screen mode: properly display modal dialogs on top
System dependent memory allocation for windows OS
0000243: Find and replace doesn't replace all occurrence of a pattern within a node
0000245: Navigation in File Mode is (almost) not working
0000253: can't edit name on exported branch as a new card
0000252: Attribute assignation kinematic
0000236: simulate edge feature is buggy when used with "horizontal" edge style
0000273: File -> Open dialog shows by default all files instead of only showing map files.
0000275: Freeplane 1.0.32 a does not open encrypted maps
0000277: After saving a new map, exception thrown when selecting "Map1" on right-click menu

===============================
1.0.30 alpha, 2009-09-02
===============================
New features:
Search and Replace in all maps
Automatic Layout moved from menu Tools to menu Format

Bug fixes:
[Bugs 0000217]: Enter key gives new line in node rather than end node edit
[Bugs 0000221]: parasitical line in outline view when connectors present an a map
[Bugs 0000222]: vertical and horizontal distance problem (outline view)
[Bugs 0000223]: fit width and height
Consider edge width in outline view
remove timer for blinking node if the node is removed from map

===============================
1.0.29 alpha, 2009-09-02
===============================
New features:
Outline view available from menu View
Distance between nodes in outline view can be configured in Preferences->Appearance
Options "fit map to page width", "fit map to page height" in page setup dialog (useful for outline view)

Bug fixes:
[Bugs 0000211]: Some maps can not be loaded anymore
bug fix: do not create already existing edgemodel and cloudmodel on loading
[Bugs 0000213]: Freeplane 1.0.28 a: graphics' size is not reminded when map is reopened
[Bugs 0000214]: mouse pointer after note
[Bugs 0000212]: Link with clouds -  not visible
[Bugs 0000207]: user's icons break edge nodes

===============================
1.0.28 alpha, 2009-08-27
===============================
Bug fixes:
Save map after node is encrypted
Bug fixes in reminder: properly show and remove state icons (flag) when reminder is active
Do not cancel editing in text field if some node is changed
Proper handling of missing URI for viewer/preview
Window state properly recovered after full screen
Text rendering in inline editor
Collision detecting for connectors
Middle lable positioning for connectors
Encrypted nodes

===============================
1.0.27 alpha, 2009-08-24
===============================
New features:
External bitmap and SVG images can be attached using menu Insert->External object
The action is also available from pop-up menu
Images can be scaled by dragging the bottom right corner
Image size can be reseted double clicking on the bottom right corner
The attached file can be opened by double click on the image itself

Insert image dialog and insert external object dialog have file previews

New navigation actions useful for presentation "next node" and "previous node".
They traverse the map in depth-first order.
Hot keys: CONTROL + ALT + RIGHT, CONTROL + ALT + LEFT

Text rendering mode use more exact fractional metric based version.

Batik version updated to 1.7

Fwdir is not created any more, knopflerfish updated to 2.3.3 nightly build 2911

Performance optimization: do not paint links which both source and target
	are far away from the visible part of the screen

===============================
1.0.26 alpha, 2009-08-17
===============================
New features:
proper use of ESCAPE=cancel and ENTER=save when link label is edited
Arrow (graphical) links renamed to Connectors
Connector Label Filter Condition
Full screen mode
Hide tabs if only one map is loaded
Selective paste from edit menu (Paste...)
edit nodes with line breaks in in-line editor (alt+enter to quit , shift+enter for line break)
new icons: 0%, 25%, 50%, 75%, 100%
no follow up links in link pop-up menu

Bug fixes:
installer bug fixes
insert text area directly into MainView
add some zoom support to latex plugin
do not add already registered LoadAcceleratorPResetsAction when preset file is saved again
remove link from map links if its source node is removed
[Bugs 0000191]: Save after move node
[Bugs 0000188]: Fold / Unfold for multiple selection
[Bugs 0000193]: date appended to rich text node is invisible
[Bugs 0000198]: Pasting clipboard into a new node results in node of massive size
work around for external html containing unknown tags

Performance issues:
repaint only visible part of the map

===============================
1.0.25 alpha, 2009-08-11
===============================
New features:
edge like links (available from link menu)

Bug fixes:
bug fix in date filter
bug fix in map positioning if root is selected after the filter was applied
bug fixes in calculating text area editor size

===============================
1.0.24 alpha, 2009-08-07
===============================
Bug fixes
bug fix in node editor

===============================
1.0.23 alpha, 2009-08-06
===============================
Bug fixes
export only packages from java 5 (important for compatibility with java 7)
[Bugs 0000180]: Parsing error -- bug fixes for edge style null
[Bugs 0000179]: editing long nodes : problem ! -- use old style long node editor for nodes containing line break
bug fix: do not process document events after text area is hidden
ignore wrong zip file by importMindManagerFiles

===============================
1.0.22 alpha, 2009-08-03
===============================
New features:
inline editor width step  as a setting
inline editor border color depends on selection display type
enable link pop-up menu even if neither target nor source node is selected.
Links where target or source are selected are found first.

Bug fixes

[Bugs 0000167]: Hyperlinks containing ? not directed correctly
[Bugs 0000164]: Bezier end line too fat
[Bugs 0000166]: Map loading error at launch -> freeplane can't start
[Bugs 0000148]: Scroll map, Load files dropped into open map view
bug fix for  cut / paste alert [freeplane - Open Discussion]
bug fix: close edit field if node is deleted

===============================
1.0.21 alpha, 2009-08-02
===============================
New features:
New text input component
Allow dragging of map if node is edited
cleanup for french translation contributed by Pierre-Yves Baumann, thanx!
always display f-bar in a new line

Bug fixes

[Bugs 0000143]: "copy format" considers default values too now
bug fix: keep selected node position after filtering
bug fix: use actual values for selection delay
bug fix: disable F-bar short cuts in file/browse modes
bug fix in last opened list for '&' in file names
bug fix if in "import folder structure"

===============================
1.0.20 alpha, 2009-07-25
===============================
Bug fixes
[Bugs 0000146]: Freeplane hangs after being idle for longer time :
	- reminder could lead to out-of-memory and freeze the program
Resize tool bar and properly display F-Bar on key events
[Bugs 0000156]: Filter moved selected node out of window
[Bugs 0000157]: Freeplane hangs at start when last opened map file names contained ';' character

===============================
1.0.19 alpha, 2009-07-22
===============================
New features:
Filter tool bar can be hidden like all other tool bars,
active filter status is displayed in status line
test feature: stack traces can be obtained by command "stack" from the console

Bug fixes:
properly display button selection in tool bars
links to mind map files
child nodes of encrypted node loaded in wrong order
bug fix in pasting file list from clipboard
bug fix for loading maps with auto layout

===============================
1.0.18 alpha, 2009-07-20
===============================
New features:
Hot key CONTROL+ALT+SHIFT+ 'B' for awakening frozen application up and sending a bug report
use uri for links
include styles made by Ryan
use UITools.getFrame() for displayed modal dialogs
keep attributes manually set in attribute manager
use only no more than one icon if pattern with icon is applied
replace alt accelerators by alt+shift accelerators to keep alt not used because of possible mnemonic use
improvements in export with xslt dialog

Bug fixes:
bug fix: update map view name after exporting branch
transactions for undo (startTransaction/commit/rollback) for dialog operations used in AttributeManager
bug fix: use cloud properties copying/pasting format
bug fix in f-bar
save note when note window is closed

===============================
1.0.17 alpha, 2009-07-16
===============================
New features:
Delayed F-bar switch if modifier key is pressed
Disable the most actions if no map is shown
icon actions moved in separate menu
icon toolbar hidden by default
move map tabs to the bottom
"Save hot key set action" in Tools->Hot Key Presets

Bug fixes:
Handling of hot keys assigned twice
Bug fix in DesEncrypter
Bug fix in SimplyHTML
[Bugs 0000139]: Tooltip shows only first attribute when multiple attributes for the node
completely hide tool bar panel if all tool bars are disabled
Bug fix in ReminderExtension
[Bugs 0000140]:Sometimes most recent files menu is not updated with the last file opened.

===============================
1.0.16 alpha, 2009-07-10
===============================
Bug fixes:
[Bugs 0000130]: Ambiguous filter options state in menu after switching to another tab
[Bugs 0000133]: SEVERE BUG: specially formatted nodes within encrypted nodes corrupt the original file
Bug fix for copying single nodes
Bug fix for loading maps with automatic layout

===============================
1.0.15 alpha, 2009-07-07
===============================
Bug fixes:
Bug fixes for saving maps,
Bug fix for loading preset hot keys,
Bug fix for file locking

===============================
1.0.14 alpha, 2009-07-06
===============================
New features:
F-Toolbar

Bug fixes:
Bug fixes for saving maps,
Bug fixes for exporting applet,
Bug fixes for links to map files,
Other important bug fixes
Bug fixes for automatically reported bugs

===============================
1.0.13 alpha, 2009-06-16
===============================
New features:
[Feature Requests 0000104]: protocol handler: FreeMind patch for linking to arbitrary URL integrated

Bug fixes:
[Bugs 0000076]: Notes window size not remembered between sessions
[Bugs 0000094]: Error splitting (rich text) long node - with revsion tracking
Bug fixes for automatically reported bugs

===============================
1.0.12 alpha, 2009-06-15
===============================
New features:
Automatic backup for all loaded files on first save.
Backup and autosave use directory ".backup" created in the map directory.
All backup or autosave files are numbered from 1 to maximum number, the bigger number the latest file.
Exception traces for internal errors are automatically sent to freeplane team for analysis.

Bug fixes:
[Bugs 0000076]: Notes window size not remembered between sessions
[Bugs 0000094]: Error splitting (rich text) long node - with revsion tracking
Bug fix in showing modification times

===============================
1.0.11 alpha, 2009-06-09
===============================
New features:
use .freeplane as user folder
Search and filter on note content
Icon toolbar menu improved
Osgi does not use jar bundles but directories.
Attributes are shown as tooltips if they are hidden
	or only selected attributes are displayed.

Bug fixes:
Internal representation of linked files should not use escape characters
[Bugs 0000085] handling of empty notes in html
[Bugs 0000067]: Display message if invalid hyperlink to an external map file is handled

===============================
1.0.10 alpha, 2009-06-01
===============================
New features:
Lock map files on load/save
Patterns support clouds, "Floating node" pattern
Load all previously loaded maps on start

Bug fixes:
[Bugs 0000062]: eol  in long nodes are saved/copied
[Bugs 0000063] bug fixes when empty mode is selected
[Bugs 0000064]: F1 keyboard shortcut to open Freeplane documentation
[Bugs 0000065]: Error message box shown when Cancel button is pressed in save file as dialog
[Bugs 0000066]: Export as HTML of unsaved map not working
[Bugs 0000071]: In Notes Window, the default font remains as Serif even if you change Preferences to Times New Roman
[Bugs 0000071]: In rich text editor window
[Bugs 0000071]: use default font in tool tips
[Bugs 0000072]: Edit Long Node window at right of screen edge
[Bugs 0000081]: "Cursor jumping in notes text entry"


===============================
1.0.9 alpha, 2009-05-24
===============================
hierarchical icon tool bar
find dialog uses filter conditions
Tool tip times can be changed in preferences
bug fix: reading of attribute information, bug fixes for encrypted nodes and maps
translations unified

===============================
1.0.8 alpha, 2009-05-19
===============================
update check
open bug/feature trackers from help menu
warning if map file is corrupted
big fix for changing left/right map sides
simplyhtml loaded only if should be displayed

===============================
1.0.7 alpha, 2009-05-09
===============================
bug fix in xml parser
auto clean up
bug fix in remove icon action
bug fix: place dialogs visible if properties become corrupted
bug fix: drag and drop oh html links from firefox
bug fix: encrypted nodes
bug fix: Java export
font size option added to preferences
bug fix: Max-Y-size in preferences is repeated
bug fix: show filter tool bar button

===============================
1.0.6 alpha
===============================
Priority filters based on priority icons
filter conditions for numeric values return false for non numeric values
links optionally painted behind nodes

different bug fixes

===============================
1.0.5 alpha
===============================
Tool tips for nodes can be switched off in preferences
https://sourceforge.net/forum/message.php?msg_id=7224634

Place editing dialog under the node
Filter icons
Horizontal Edge Style
Filter menu
Filter history (almost) as proposed by Rigel
Hot keys can be set by pressing mouse button1 + ctrl on menu item
Use default font and paragraph spacing for notes too
Center selected nodes as user setting and as action
Selected node position is kept after filtering

Performance optimization: repaint only small area around selected node
if selection is changed

Resources for map background color selection added
Link Navigation History can be used if CTRL is hold when you press
nNvigation buttons
New XSLT export dialog translations from ewl

New options for saving
<combo name="save_folding">
	<choice value="never_save_folding"/>
	<choice value="save_folding_if_map_is_changed"/>
	<choice value="always_save_folding"/>
</combo>
<boolean name="save_modification_times"/>

New options for loading
<comboname="load_folding">
	<choice value="always_fold_all_after_load"/>
	<choice value="load_folding_from_map_default_fold_all"/>
	<choice value="load_folding_from_map_default_unfold_all"/>
	<choice value="always_unfold_all_after_load"/>
</combo>

Zoom saved between sessions
The same zooms applies to all maps
Plain text search for filter in html nodes added
Zoom keep selected node position
Date based filter
Structured HTML paste
Hidden Edges
Spell checker
Personal modification color
text labels can be added to any end and in the middle of any link by link pop-up menu

=================================
FreeMind 0.9.0 Beta20, 2008-08-29
=================================
* Fixed some documentation bugs reported by Edmund Laugasson. Thanks.
* Bug fix: Untranslatable strings and places * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=2020259&group_id=7118
* Documentation fixes.
* Mac: Spaces in files names corrected.
* Bug fix: B19 startup fails with "Mode not available: Mindmap" * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=2025279&group_id=7118
* "Open hyperlink" works for multiple selected nodes.
* FreeMindStarter uses reflection. Thus, it can detect java < 1.4.
* Icons revised. Thanks to Predrag.
* Fixed: copying to clipboard for Linux.
* Fixed: saving of xhtml - tag <option>.
* Application type of freeplane.exe changed to Win32 GUI to prevent DOS box.
* Fixed: images in notes.
* Added translations (thanks to all authors):
- 2034191 	French - 0.9.0 Beta 19 - FM_Key_Mappings_Quick_Guide_fr.pdf by 	dberthereau
- 2034187 	French - 0.9.0 Beta 19 - FM_Key_Mappings_Quick_Guide by 	dberthereau
- 2031743 	Russian 0.9.0 - beta 19 - full
* Integrated [ 2025876 ] MS Project export with dependencies + example
* Integrated [ 2027826 ] Word export with notes - Thanks to Eric.

=================================
FreeMind 0.9.0 Beta19, 2008-07-21
=================================
* Fixed: in key based navigation in filtered maps.
* Fixed: displaying of fork node in filtered maps.
* Fixed: branch selection in filtered maps.
* Fixed: calculation of dialog position relative to nodes.
* Fixed: text in filter descriptions.
* Fixed: [ 1984842 ] Cursor in long node editor set to the last position.
* Fixed: export of filtered maps to PDF
* Fixed: Patterns can't be customized in FM beta18 * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1985406&group_id=7118
* Fixed: onCreateNodeHook fixed.
* FreeMind includes document icons now. Thanks to Predrag.
* Bug fix: storing of scripts in patterns corrected.
* Key documentation added. Thanks to Ryan.
* New icons (thanks to Predrag), Icons and their order is customizable in preferences, now.
* Fixed: Error opening files from network PCs in Windows * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1984395&group_id=7118
* New translation from Krymmel. Thanks to the author.
* New slovak translation. Thanks to the author Viliam Bur - viliambur.
* Updates czech translation. Thanks to the author.
* Updated translation norsk from Larsa - larslem. Thanks to the author.
* Updated dutch translation. Thanks to the author Walter Huwels - kiwaki.
* New translation from jmasesch - jmases1. Thank you.
* New translation to greek from sarikoudis - sarikoudis. Thank you.
* New ukranian translation. Thanks to Serhij Dubyk - dubyk.
* Updated portugese translation. Thanks to Luis Valente - alvalente.
* New freeplane documentation in french. Thanks to rickenbroc - rickenbroc.
* Updated french translation. Thanks to Sébastien Rombauts - srombauts.
* Updated korean translation. Thanks to Yang gyu, Lee - lyg73.
* Updated japonese translation. Thanks to Tomohiro Sembongi - tomophy.
* New indonesian translation. Thanks to Perry Harahap - permataharahap.
* Updated slovenian translation. Thanks to Martin Srebotnjak - filmsi.
* New indonesian documentation. Thanks to Perry Harahap - permataharahap.
* New vietnamese translation and documentation. Thanks to Nguyen Dinh Trung - dinhtrung.
* Updated chinese translation. Thanks to willyann - willyann.
* New estonian translation and documentation. Thanks to Edmund Laugasson - elaugasson.
* Updated russian translation. Thanks to ksd - sergeykotkin.
* New key mappings in russian. Thanks to ksd - sergeykotkin.
* Updated groovy to version 1.5.6.

=================================
FreeMind 0.9.0 Beta18, 2008-06-03
=================================
* Fixed: bubble / fork style not correctly cascading * http://sf.net/tracker/index.php?func=detail&aid=1822099&group_id=7118&atid=107118
* Fixed: java.lang.OutOfMemoryError: Java heap space * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1965270&group_id=7118
* new translations. Thanks to the authors.
* bug fixes in the "new script" action.
* Bug fix: Script editor divider locations start with some reasonable values.
* Fixed URL handling for older mm files
* Fixed URL handling for file: type under Windows 2000.
* Fixed: button "Add" "assign attributes" dialog.
* Fixed: displaying of accelerator keys in selected language.
* Fixed: Mnenonics for yes/no/cancel buttons in "Save" Dialog.
* Fixed: displaying of changes made using "Assign attributes" dialog if only selected attributes are visible.
* Refactoring of FreeMindStarter such that preferences are only read once.
* Fixed: confirmation dialogs were placed outside of the screen
* Fixed: position of files dragged to a node
* Splash updated by Predrag via mail from 28.05.2008 (GPLv2+). Many thanks.
* Icon taken form Predrag. FreeMind started recompiled. Thank you.

=================================
FreeMind 0.9.0 Beta17, 2008-05-06
=================================
* Scripts can be installed as menu functions (look into ScriptingEngine.xml).
* Security Enhancements for Scripting Engine.
* Fixed "Cannot follow links if new/unsaved map is open" https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1900401&group_id=7118
* Fixed "typo: estabilishOwnFont()" https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1889819&group_id=7118
* Fixed "Focus changed after window switching" https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1872277&group_id=7118
* Fixed "Calendar can only be opened once" https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1911717&group_id=7118
* Fixed "Clouds on root node are not displayed" https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1911883&group_id=7118
  and https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1911883&group_id=7118
* Inverted the mouse wheel zoom direction to make it compatible with e.g. OpenOffice.
* Fixed: Large mind maps produce invalid PDF https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1921334&group_id=7118
* Fixed: Following of connectors - dedicated text required https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1846702&group_id=7118
* new base 64 coding compatible with gplv2+
* Fixed: Misleading option in 'Time Management' https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1917188&group_id=7118
* Fixed: Script exceptions are now displayed in any case.
* Fixed: Scripts with multiples lines supported in patterns.
* Fixed: Layout of pattern manager.
* Fixed: .toURL() is deprecated in Java 1.6 https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1812246&group_id=7118
* This fixes as well: Hyperlinks dont work with interntional chars in filename * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1801949&group_id=7118
* Fixed: On first start FreeMind should show new map to newbies * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1752516&group_id=7118
* Fixed: Print Preview can be closed with ESC.
* Fixed: English used by FreeMind... (thanks to the author) * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1933938&group_id=7118
* Fixed: Missing tooltips in Manager Patterns dialog * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1848057&group_id=7118
* Fixed: Format dialog remembers its position on screen.
* Fixed: Like in 0.8 nodes are still unfolded, when others are dragged into. This can changed in the preferences.
* Fixed: Notes icon appears now in Applet: Summary: Note Icon not showing * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1766025&group_id=7118
* Notes icon can be hidden via preferences.
* Fixed: When multiple maps are opened, their Z-order seems to be fixed. For example, if I open map A, B and C one by one, and then close map C, I may get map A on the front, depending how the program assigns order to maps.
* Fixed: keys "home", "end" and <character> work in the same way for all node editors
* Fixed: Key Events are not lost during node editor dialog is being created
* Mnemonics for (some) Dialog Buttons configurable by "&" character in language properties
* Fixed: placement of text field editor if attribute table is wider than the node text
* Fixed: height of attribute table rows for zoom factor != 100 %
* Fixed: Valid html output * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1063430&group_id=7118
* Fixed: faulty undo for edge types after auto layouting * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1937927&group_id=7118
* Fixed: Issues with action "Clear note" * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1842855&group_id=7118
* A link to the FreeMind's webpage is available in Help Menu
* Fixed: Folding not saved * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1938342&group_id=7118
* Scripts can be signed by a FreeMind key or with a user key (specified in the options)
  and have then full rights.
* FreeMind version is now a structure that can be used by scripts or plugins to guarantee compatibility.
* New design of logo (thanks to mmeitzner) and splash (thanks to bernardlang) integrated
* Fixed: Wrong language name for Norwegian * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1935818&group_id=7118
* New croatian language. Thanks to Predrag.
* Fixed: When pressing Option+F in Mac OS X, the Format->Node color dialog should show up, but instead the File menu does (in a weird position) * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1947269&group_id=7118
* Icon order moved to properties.
* Fixed: encrypted node just looks to be locked * https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1945302&group_id=7118
* New icons from Predrag (put under GPLV2+ via private mail from 2.5.2008). Thanks to the author.
* Fixed: "null incompatible with text-specific antialiasing enable key" error under Mac OS X.

=================================
FreeMind 0.9.0 Beta16, 2008-03-02
=================================
* Bug fix: do not add new <p> for HTML nodes copied as HTML
* Bug fix: remove HTML tags by generating RTF
* Bug fix: Overlapping edges of the root node
* Bug fix: Map movements after folding
* Bug fix: Avoid storing style element in rich text nodes
* Bug fix: not possible to pick / fold / unfold nodes after exception in SVG/PDF Plugin
* Bug fix: Edit box for new child node can appear in the wrong location
* Disable small buggy hide/open - arrows for split pane
* Bug fix: Remove '&' character from tooltips and ui elements
* Link connectors - new arrows in popup menu changed as proposed by Dan
* Bug fix for "Java exception entering text"
* Bug fix Look and feel - no propagation into scroll bar
* Bug fix: copy text field selection to clipboard
* Bug fix: repaint after text field is removed
* Bug fix: Map hidden after switching from docs (JRE 6)
* New version of SimplyHTML with some bug fixes
* Bug fix: In browse mode and file mode, scroll wheel AKA mouse wheel
* Filter toolbar looks similar to the other toolbars.
* Bug fix: italic and bold handling in patterns (eg. automatic layout)
* Check marks for a lot of menu items added
* Changed mouse wheel behaviour.
* Cut gets a confirmation window, too. See https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1846766&group_id=7118
* Bug fix: Hyperlink action renamed and it is only enabled, when there is actually a hyperlink. See https://sourceforge.net/tracker/?func=detail&atid=107118&aid=1846702&group_id=7118
* Updated to Batik 1.6 (for Eric, as this version is already integrated in Debian)
* Script Editor now has "Add new Script" and is able to assign the script results
  to an (new) attribute using "attr_name=<script>".
* Updated groovy to version 1.5.1
* RemoveNote is automatically disabled when no notes found
* fold/unfoldall at toolbar is applied to current node as before.
* Format node window has now scroll bars if needed.
* Option to store ids only, when needed added.
* Patch: [ 1897283 ] Multiple reminders added up in parent nodes
* New installer variant "Java embedded" started, but this
  variant will not be released soon due to open license questions

=================================
FreeMind 0.9.0 Beta15, 2007-11-30
=================================
* Option added that map conversions are confirmed
* Bug fix: Browser applet can be started twice
* Bug fix: alt+i in English
* Bug fix: save and use setting "left toolbar invisible" in auto.properties.
* Bug fix in writing content of HTML nodes into clipboard.
* Bug fixes in rich text editor component (Version shtml_0_12_2_beta3).
* Enable main menu mnemonics for note editor.
* Bug fix: attribute table column width not retrieved.
* Item "Remove Notes" in the "Tools" menu.
* OPTION "OLD_ROUTING_OF_ROOT_EDGES" configurable from Preferences->Appearance.
* Time Management is no longer modal.
* Fold/Unfold all on toolbar applies to root.
* Styles can hold scripts. Script editor improvements.
* Pattern dialog has now a short cut.
* Bug fix: background color of edited nodes.
* Bug fix: node selected after cut&paste if attributes are shown.

==================================
FreeMind 0.9.0 Beta 14, 2007-11-21
==================================
* Open Office Export now for the ODT format.
* Nicer automatic format with sharp bezier curves.
* Security question for script execution.
* Notes window is completely hidden if requested.
* Tabs show dirty state of map
* Bug fix: Automatic layout with icons.
* Bug fix: Drag&Drop in Pattern Dialog
* Bug fix: Map conversion of version 0.8.0 fixed.
* bug fix for export to PDF (SVG).
* Bug fix : update all nodes if standard text color has been changed.
* Use node text and background colors in editors.
* Bug fix: use edge color for folding mark.
* Bug fix: new maps should not have "saved" attribute set.
* Bug fix: FreeMind non-responsive after application focus change.
* Bug fixes in filter management.
* Bug fix: export to PNG.
* Bug fix: mnemonics for starting Attribute Manager Dialog.
* Bug fix: layout after zoom change.
* Bug fix: printing of filtered maps with hidden links.
* System.out and System.err redirected to special logger.
* Bug fix: join for rich text nodes.
* Display help message for node movement as tool tip.
* Bug fix: nodes cut when zoom not 100%.
* Menu item "Split" moved to menu item "Join nodes"

==================================
FreeMind 0.9.0 Beta 13, 2007-09-02
==================================
* Menu Item to show SimplyHTML about box
* Use cloud or map backgroung color in WYSIWYG Editor if the node has no own background color.
* Selection text color no more used for unselected text in Textfield / Textarea
* Latex plugin added
* Persistent map filters added
* Click on icon with control key hold removes the first matched icon, with alt key removes the last one
* Icon hot keys available in "Select Icon" popup can be set in Preferences
* Bug fixes.
* Displaying Selection as Rectangle as default.
* Optional "unfold on paste"
* Confirmation on delete added.
* Decision whether or not to take rich text edit added.
* Icon selection popup, long node editor and WYSIWYG editor do not hide the edited node is possible
* Bug fix: mind manager import: sides fixed.
* bug fix: strings containing \n must be saved as XML elements, not as attributes
* bug fixes and necessary refactorings for paste and cut - actions
	 only UndoActionHandler uses the undo - action from the action pair,
	 the undo action is prepared during paste action is executed
* Bug fix: patterns repaired
* Bug fix: edge properties in patterns
* Mnemonics for english and german completed
* Enter on root gives a new child
* Bug fix: edges scale now with zoom.
* Enter on root gives new child, shift-enter on root causes root to get a child of a new root node.

==================================
FreeMind 0.9.0 Beta 12, 2007-07-21
==================================
* Map background color may be set via Format menu and saved with the map.
* Bug fixes: problems if auto.properties does not exist
* FreeMind Accelerators work from Note Editor

==================================
FreeMind 0.9.0 Beta 11
==================================
* New menu option: Display Selection as Rectangle.
* Standard colors are taken from Look&Feel settings.
* Node is unfolded on paste or drop.
* In-place node editor scrolls with the map.
* Bug fix in note editor: space does not fold/unfold the node
* Bug fix: tab closing fixed for java4+5

===============================
FreeMind 0.9.0 Beta 10
===============================
* New option: velocity of mouse wheel movements.
* Bug fix: F6 and F8 can be used for formats again.
* Bug fix: sorting keeps graphical links now.
* user_icons is no more required,
* all *.png files in .../.freeplane/icons are handled as user icons
* Bug fix: moving of encrypted nodes is working again.
* Bug fix: moving or removing a node with active reminder flags clears all parent flags.
* Bug fix: OOo export of empty nodes

* Class hierarchy of descendands of NodeView removed
* NodeView is made responsible for painting of its cloud, children edges and folding marks
* Class hierarchy for MainView introduced
* All own components of NodeView (MainView and AttributeTable) are put inside of JComponent,
which can be obtained using NodeView.getContent().
* New classes for NodeView Layout, MindMapLayout and Viewport Layout introduced
* NodeViewLayout sets locations of NodeView Content and all its direct children
  and NodeView size
* NodeViewFactory for putting NodeView components and LayoutManager together
* EdgeView is no more part of NodeView, it is managed by NodeViewFactory
* setLeft is no more initiated by view
* multiple map views for map are allowed by the new design, but only one NodeView for Node on each MapView
* NodeView implements TreeModelListener
* standard TreeModelEvents are used for communicating the map changes
* If only MainView exists, getContent() returns the MainView.
* If some special node has its own content component, it can be added to Component given by
  NodeView.getContentPane(). Futher efforts are needed to make such contents like e.g.
  math formulas possible

* focus in the long node editor goes to the text area after the dialog is opened
* Back and forward added: Even between different maps.
* Tabbed mind maps added (it is possible to switch it off in the preferences -> appereance)
* New translations. Thanks to the authors.
* Integrated the TWiki export. Thanks to the author scf_code.
* Integrated html to plain patch from Dan. Thanks.

* Plugin API improved, StatefulNodeHook with Undo-Support introduced
* Window position, size and state are saved and restored correctly

* Adjusting not only the background color of selected node but also its text color.
* System colors used instead of FreeMind default colors
 for default window background color, default node text color,
 default selected node background and text colors.
* Alternative displaying of selected nodes showing rounded rectangle around the node (may be set in preferences)

=================================
FreeMind 0.9.0 Beta 9, 2007-03-08
=================================
* Bug fix: nodes selection does not change if FreeMind is not focused
* Select All is aplied to the filtered nodes only if filter is active
* Bug fix: new nodes are directly closed.
* Performance of note editor improved. Thanks to Dimitri.
* Bug fix: long node handling corrected.
* New shortcut for note editing: control LESS.
* Open Office Writer Export: Notes added, styles started
* [ 1581112 ] starting freeplane with soft link to freeplane.sh does not work
* HTML Note window automatically opens and closes on control LESS.
* Correct encoding of htmls: Thanks to gulpman.
* Log of node styles removed.
* HTML Note window show/hide state is controlled via shift+control LESS (present in view menu and map context popup window).
* Taskjuggler integration from aki integrated. Thanks to the author.
* Bug fix: proper zoom of HTML nodes
* Bug fix: better "zoom to fit"
* Bug fix: scroll to selected node after zoom change
* Improvements in Map Layout
* Bug Fixes concerning the Left Toolbar
* Blinking Node Hook does not change the model color, only the view color
* Bug fix on start if the last map has been deleted
* Short cuts are traced to the actions even if menu bar is not visible
* FreeMind Base Dir used for searching the plugins is taken from the classpath, not from the properties
* FreeMind Base Dir is also used for localizing the docu
* The Internet Docu Version is used if FreeMind Base Dir can not be defined (applet in browser)
* Search & Replace Dialog with menu and nicer. Bug fixes...
* Changes for Java 6.0
* changes in getFreeMindBaseDir (TODO)
* Local Short Cuts and Properties => Bug Fix for control PLUS etc.
* Using Shift+Click on icon bar substitutes the current icons by the new one. (Same with Shift+Enter in the icon selection dialog)
* user friendly closing of the node edit dialogs
* moved time management to internal plugins.
* revised build process for external plugins.
* New feature: Sort children nodes added.
* Calendar scrolls with arrow keys through months and years now (JCalendar improvement).
* Search&Replace: Title corrected
* NodeModel: attribute selectors in HashMap style added.
* Bug fix: double click on root node makes it editable
* Bug fix: starting edit and continue with long node editor keeps changes
* Bug fix: null pointer in AttributeTable
* New feature: Script Editor
* New feature: split of multi paragraph HTML nodes (Edit->Split, plugin)
* New feature: split of HTML nodes im WYSIWYG Editor
* SimplyHTML Properties integrated
* Bug Fix in copy to clipboard
* MAC Java options include more memory (for graphics export)
* Writing of HTML refactored out to class MindMapHTMLWriter in package freeplane.modes.mindmapmode
* Copy creates HTML for multiple selection.
* Light Bulb as icon integrated.
* new spanish translation of documentation map. Thanks to Natxo.
* Copy limited to filtered nodes

===============================
FreeMind 0.9.0 Beta 8
===============================
* bug fix: feedback.increase must not be called before auto properties with language setting has been loaded
* SimpleHTML: icons for bold and italic actions replaced
* SimpleHTML: shift + enter inserts <br>
* SimpleHTML: <END > -  Markierung removed
* bug fix: NodeNote.Registration.NotesManager.mLastContentEmpty declared static
* Filter has no border in the toolbar, in order to look like every other toolbar item
* Bug fix: automatic save when note window is changed.
* Bug fix: Close closes maps when modes without maps are displayed.
* Bug fix: [ 1559543 ] Space into attribute folds the node (0.9.0 beta7)
* Bug fix: Note is not cleaned if newly selected node has no note
* Bug fix: HTML Tab opened first with plain text content
* Bug fix: I have a multiline node that there is allways an empty line displayed between the text
* Bug fix: [ 1563410 ] "use plain text" adds blank lines
* Bug fix: Background of the inline editor must not be gray
* Bug fix: Startup user directory creation
* Bug fix: slider position at first start corrected.
* New polish translation. Thanks to the author.
* New slovenian translation. Thanks to the author.
* Fixed html exports. New JUnit tests available.
* Fixed browser applet.
* Keyboard support for enter/leave note at alt-n.
* Bug fix: Delayed selection time and others are number properties now.
* Notes are displayed in tooltips (currently, the entire note is displayed).
* ToolTips are back and its width is an option, now.
* Moved new search to search menu.
* Title gets a '*', when map gets dirty. Path is added to title.
* Bug fix: patterns are saved now.
* Important Bug Fix: Notes are saved in XML now.
* Mac Changes: integration in system improved.

===============================
FreeMind 0.9.0 Beta 7
===============================
* Kafenio replaced by SimplyHTML
* Bug fixes: two HTML exports adapted to new file format
* Patch from Eric for XSLT export introduced. Thanks.

===============================
FreeMind 0.9.0 Beta 6
===============================
* Restrictions on node positions removed,
* the node motion view oval is filled red if node overlap is possible.
* Selected nodes are not indicated on printed / exported maps
* Bug fixes
* Mac changes: whole application is in one package
* Slider for Notes introduced.
* FreeMindStarter introduced to detect wrong java versions.
* user.properties are obsolete and were removed. auto.properties are replacing them
* Logging to file enabled.
* Notes are always present and directly stored (without the plugin notation)
* Added option to preferences to not load last opened map on startup.
* Startup shows progress messages.
* Limited the plugin search to two directory levels.
* Added the turkish translation. Thanks to the author.
* Note symbols are back.
* Bug fix: [ 1536205 ] Fail to revert
* Load of plugins generalized for Mac, more flexible ClassLoaders now.
* Started to generalize URL and hyperlink handlings. Done.
* Patch revised and introduced: 1532279 link between nodes on different freeplane maps, thanks to the authors.
* New feature: history of node is exportable now.
* Fixed map dragging outside of the window.
* New feature: Scripting via Groovy introduced.
* Bug fix: layout of root with attributes
* Enhancements of the scripting feature.

===============================
FreeMind 0.9.0 Beta 5
===============================
* Search and Replace in History Dialog.
* Load and Save Format of HTML nodes realized as discussed by the directors board.
* Save All implemented.
* Adapted for intel macs. Thanks to tizzyd
* Safety extension for Html nodes: if they don't give well formed Xml, we replace the tags.
* \0 characters are removed from HTML.

===============================
FreeMind 0.9.0 Beta 2
===============================
* Kafenio for notes
* Paste and Encrypted Node register new attributes in the attribtue registry correctly
* Bug fix for Attribute Registry
* Button on/off removed from Filter Toolbar
* Standard filter conditions "No Filtering" and "Selected Nodes" added to Filter Toolbar
* Pattern: Duplicate, create from nodes, intersection of patterns from nodes.
* Bug fix im Browser Toolbar: the browsed file was loaded twice, if its name was typed in the combobox
* Attribute View Type is saved in a Mind Map document
* Changes from Henning Dierks (thanks!): node selection and text field background colors adjusted.
* NodeView has got a new multi component capable layout manager
* Export of local hyperlinks to XHTML/HTML with image corrected.

===============================
FreeMind 0.9.0 Beta 1
===============================
* VariableSizeCardLayout implemented for Preference Dialog
* Automatic layout preference design bugs fixed

===============================
FreeMind 0.9.0 Alpha 1.02
===============================
Merged with WYSIWYG Version

===============================
FreeMind 0.9.0 Alpha 1.01
===============================
Merged with Attribute Version

===============================
FreeMind 0.8.1 FA Alpha 10.02
===============================
Attributes can be leaved with alt+F9

===============================
FreeMind 0.8.1 FA Alpha 10.01
===============================
Print Preview

===============================
FreeMind 0.8.1 FA Alpha 9.04
===============================
* Key strokes for attributes can be set using the preferences Dialog
* Save as HTML, RTF and Text consider filter settings
* Size of buttons with empty key strokes in the Option Panel are set correctly

===============================
FreeMind 0.8.1 FA Alpha 9.03
===============================
*The export plugins using XSLT changed:
	Only nodes passed the filter condition inclusive settings
	in the "Show Ancestors" and "Show Descendants" - checkboxes in the Filter Toolbar
	are exported in OOWriter and generally by the XSLT exporter.
*Bugfixes

===============================
FreeMind 0.8.1 FA Alpha 9.01
===============================
Merge with FreeMind 0.8.1 beta 3

===============================
FreeMind 0.8.FA Alpha 8
===============================
* Undo for all attribute operations

* There are only four possible situations:
   (a) all the attributes are shown everywhere,
   (b) no attributes are shown anywhere, and
   (c) only some attributes are shown, accross the whole map
   (d) all attributes are temporarily shown for the currently selected node, a shortcut alt+f9
* the "show all", "hide all" ans "show selected" attribute actions are a submenu of the view menu
* the rest attribute actions (dialogs) have been put to tools

* the button On/Off only switch the filtering, rather than editing
* When the label "No Filtering" is shown in the combo box, the On/Off button is be inactive

Filter Composer Dialog:
* Apply applies the filter selected in the list of filters, regardless of the filter selected in the combobox in the toolbar
* OK closes the dialog and sets the currently selected filter in the list of filters as the current filter in the combobox

Other improvements:
* Radio Button Items in Menus
* other changes and refactorings

===============================
FreeMind 0.8.1, 2008-02-27
===============================
* Word wrap enabled for notes.
* Refactoring: MindMap specific actions moved to mindmapmode.
* Refactoring: Each Model comes with its specific ModeController.
* Refactoring: Each mode has a default ModeController for the case that all maps are closed.
* Refactoring: Each model has its own HookFactory.
* Startup: ProgressBar added.
* Browse Mode: Note viewer written.
* Browse Mode: Encrypted node viewer written
* Browse Mode: Reminder viewer written
* Encryption: Bug fix for empty encrypted nodes.
* New and revised translations nn and se (thanks to the authors)
* New translation of the main documentation into german (thanks to the authors)
* Clean up: Removed clipboard image export that has never worked.
* Bug fix: Removing reminders call nodeChanged.
* Documentation is opened in german, if german is the current language.
* Bug fix: screen title when all maps are closed.
* Integrated: [ 1274572 ] open / save : remember last directory
* Implemented undo for notes.
* '"' are not used to generate File Name Proposals in Save dialogs.
* Bug fix: Menu bars are displayed correctly when all (browse) maps are closed.
* Local links get local arrows and are supported in the browser.
* Bug fix: folded empty nodes have the bubble symbol. Thanks to Dimitri.
* flash export when title is html corrected [ 1893891 ] flash export not visible in IE7
* script cookies added
* sort nodes: bug fix for nodes with same text

Beta 2:
-------
* Introduced: [ 1390137 ] patch for bug [ 1368727 ] oowriter 2.0 freeplane.0.8.0-oowriter.2.0.patch
* Switched from JaxB to JibX, which is free. Thanks to Dennis Sosnoski for the help.
* New icon: bad smily

Beta3:
------
* New features: Export to Applet and Flash added.
* New feature: move nodes left/right.
* Bug fix: fit to page (thanks to Dimitri).

Beta4:
------
* Style editor added.
* Pattern editor added.
* Modes menu integrated into map menu to save menu place.
* Root node curves improved.
* Automatic layout patterns can be specified in the preferences dialog

===============================
FreeMind 0.8.0-ALPHA-DAN-5:
===============================
    * HTML selections are pasted directly as rich text, whether they
      were made in a web browser, Microsoft Word document, or any
      other application that puts HTML to the clipboard. Whether the
      picture elements should be pasted or filtered away is driven by
      the user property cut_out_pictures_when_pasting_html (=true or
      =false),

    * HTML nodes are edited using WYSIWYG editor,

    * HTML nodes with <body> tag get limited width, like plain text
      nodes. To have HTML nodes with unlimited width, use the tag
      <body width=""> or the like of <body width="900">,

    * after a single HTML node is copied to the clipboard, it is
      pasted by applications understanding HTML directly, as rich
      text. An example of such an application is Microsoft Word,

    * copying of HTML nodes and pasting them as plain text does not
      paste HTML tags

    * when exporting to HTML, title of the web page does not show HTML
      tags

    * there is a new function Use Rich Formatting that turns plain
      text node into HTML node

    * action Use Plain Text added

    * after Use Rich Formatting action, new long nodes are rich
      formatted. After Use Plain Text action, new long nodes are plain
      text

    * scrollbars can be switched off using the property no_scrollbar =
      true; can be only set manually in user.properties,

    * user icons can be added. PNG files of the icons have to be added
      to the folder .../.freeplane/icons; the comma separated list of
      icon names without the .png extension has to be set in the user
      property user_icons,

    * style to be used in HTML nodes can be determined by setting the
      user property html_long_node_head, like html_long_node_head =
      <style><!-- td { border-style: solid } th { border-style: solid
      } table { border-style: solid } --></style>,

    * in the long node editor, SHIFT+ENTER enters a new line,
      regardless of the "Enter Confirms" setting. Also, ALT+ENTER
      confirms regardless of the "Enter Confirms" setting,

    * when exporting to HTML using the exporting function as of
      FreeMind 0.7.1, the list bullets in exported HTML nodes are
      shown. HTML link contained in HTML nodes are styled normally and
      underlined.

    * find function now works as a keyword search. An example of
      search is - word "two other"; node matches if it (a) contains
      substring "word", and (b) it contains substring "two other".

===============================
FreeMind 0.8.0, 2005-09-06
===============================
* From Koh (thanks): Standard Macintosh application use Command(meta) key based Keyboard shortcut. (ex. copy is Command(meta) + C). I think that mac version's freeplane should allow to assign meta key based shortcut.
* Bug fix: AutomaticLayout.java
* Undo action added.
* Added edit node to the undo-actions.
* Added addNode/deleteNode to the undo-actions.
* Added cut/paste/del to undo-actions.
* no root folding.
* Rearranged the menus.
* Bug fix: icon selection can be canceled.
* Plugins are now well distributed over the menus.
* Blind icons to align the menus (in development)

* NodeView selection mechanism refactored
* Background color is changeable
* Plugin for "change management" introduced
* Now, TAB is usable for insertion of nodes. This is useful for Macs.

* Unified JaxB usage
* Transfer from plugin properties to XML started

* Plugins are configured via XML now.
* Checked menu items added.

* Bold menu is now checked/unchecked if bold/normal

* Plugins can have registration parts that are called at each map startup.
* UnfoldAll is mouse wheel sensitive.
* Folding can be undone (for children too).
* Multiple move nodes is now possible + undoable

* More undoables: Edge color, italic, underline
* Format of new nodes is now automatically taken from the last format changes
* Find has an icon, such that it is more visible.
* There is a filter possibility for XmlActions
* Selection corrected after execution of NodeHookActions.

* Font family and font size are undoable now.

* Changed several occurences of setFolded to the undoable method.
* Added the help plugin
* Changed the plugin class loader behaviour completely.

* Splash screen added
* Automatic layout layouted
* NodeNote improved
* Bug with zoomIn corrected

* Application is more or less fit for Mac OS X

* NewParentNode is working again and is undoable
* ImportLinked... are messaging if the node is not correct (i.e. admits no link to another mindmap).

* Node color action is undoable now.

* Undo respects bundle of changes as a single change now.
* Undo refactored.

* Hooks are undoable now, tested with AutomaticLayout.

//commented out: * Icons appear on the right side on the right side of the node.
* More Undo: icon adding and removing and node blend action.

* icon selection and other MindMapHooks (like unfold all) are undoable now
  (here, no undo- or redoaction are performed, the undo information is given by the actions
   the hook performs).
* Apply patterns, edge width, edge style and node styles are undoable
* Format copy introduced.
* Cloud actions undoable. (Color treatment for new clouds is missing).
* Arrows are undoable now (including color, remove, heads).
* Icons improved, node background is editable now, strings extracted
* NEW Add arrow link action added to insert menu.

* Local hyperlinks enabled.
* Link targets are shown in the status bar on mouse over.
* Text of the status bar content improved.
* Bug fix for reading arrow link inclinations.

* Export to image reactivated. Export to clipboard added but not tested.
* Export via XSLT revised. New HTML export added (java script version from Miika Nurminen, 12.7.2004. Thanks.
* New HTML export added from Markus Brueckner. Thanks

* Help and SVG Export added as Plugins.
* PDF export added.
* Startuptime reduced.
* Little improvement for the Icon selector: the last position is restored next time it is opened.
* Bugfix: New parent node. Export to HTML III.

* Repaired: Icons appear on the right side on the right side of the node.
* Bug fix: NewParentNode and root
* icon for "insert child node"
* Packaging of default plugins

* Plugins internationalized.
* Bug fix: Plugins under Windows.
* Bug fix: Export to XHTML
* Bug fix: Export branch.
* Bug fix: Classpath and Mac OS X
* Icon selector has remove actions
* Japanese translation merged (thanks to Koh for the fast reaction).
* Fixed the proposed file names of all export hooks


RC 1
----
* Bug fix: Cut/Paste
* New translations chinese and russian.

* Bug fix: Drag'n'Drop to children nodes with total loss is no longer possible.

* New Feature: encrypted nodes introduced (DON'T RELY ON THIS ENCRYPTION. IT IS WEAK BECAUSE IT IS PASSWORD BASED!)
* New Feature: HTML export III enhanced by a clickable image map.
* Bug fix: export unsaved maps.
* Import actions are new undoable.
* Join node is undoable
* Split node is undoable
* Two new portugese translations (thanks to the authors).
* New Feature: Encrypted Maps (and not only encrpyted nodes).
* Icons for encryption improved
* Bug fix: docu map for mac os x.

* Bug fix for the moving node bug provided by Dimitri. Thanks!
* Icons revised. Now, mostly come along in 16x16 format and are taken from /usr/share/icons/crystalsvg/16x16/...

* Encrypted nodes store their randomly generated salt. This salt is changed each time the map is saved.
* Wrong passwords produce a dialog.
* Menu structure revised.
* Bug fix: Toggle children corrected
* Debugging removed from encrypted nodes.
* Popup menu: format actions added.

* GTK and free form as look and feel added
* Export menus revised.
* Merged new version from Miika Nurminen. Thanks!
* Merged the new splash screen from Marc Carson. Thanks.
* Bug fix for: For editing long nodes I could set el__enter_confirms_by_default = false.
* Bug fix: Show revisions in yellow. Thanks to michaelschwarz.
* Bug fix: packaging under linux.
* Bug fix: Quit and Cancel under Macintosh.
* Bug fix: Toggle encrypted nodes for unencrypted nodes give an error message.

RC2
---
* New freeplane.sh from Eric.
* Arrow moves with the mouse are undoable now.
* mm files can be associated with FM under Mac OSX now.
* Patch for icons in patterns integrated. Thanks to the community.
* Bug fix: FoldAll bug removed.
* Delayed selection is back (due to Dimitris wish).
* Introduced Dimitris patch on not synchronized Edit-Boxes. Thanks to Dimitri.
* Introduced Dans Resource changes.
* Adjusted popup menus
* http://www.apple.com/support/downloads/javaupdate142.html
* Bug fix: Class Loader generation is now cached.
* New external plugin: time management. It is now possible to add dates to nodes and
  to schedule resubmissions, which remind at a certain date to a given node.

* japanese traduction introduced.
* new state icons (look for reminders)
* tooltips may occur more than one
* bug fix: move of nodes with created/modified information
* bug fix: created/modified info appears directly.
* bug fix: upper case and xml (for the turkish version)
* bug fix: Find and Find Next work again.

* plugin data survive even when the plugin is not present.
* bug fix: reminders can be deleted and changed.
* Reminder have hours and minutes now.
* bug fix: reminders are undoable now.
* bug fix: Time Management Window has a title now.

* enhanced german translation.
* timed out nodes are selected.
* some insert menu points are put into the popup menu.
* bin-max.zip created.

RC 3:
-----
* Bug fix: dot removed.
* New feature: hierarchical icons.
* Bug fix: icon from encrypted node corrected.

* Bug fix from Dimitri: Random Node id generation.
* Bug fix: english translation typos from Dan.
* Bug fix: "new parent" order of childs.

* New icons: priority 1-7
* Bug fix: pdf/svg fonts are now embedded.

* Bug fix: mapOpened removed from ControllerAdapter
* With permission of Dan, the NodeNotes are back.
* Bug fix: Node background colour in bubble nodes.
* Bug fix: No appropiate actions are enabled when all maps are closed.
* Bug fix: font name is copied by Format Copy.

* New feature: Collaboration mode (alpha version)
* Bug fix: java 1.5 compiler changes (thanks to Dimitri and to brcha)
* Bug fix: Typing into the node gulps the first letter. Due to Dimitri.

* New feature: Revert map.
* Started to write down a scheme of the mm format.

* Collaboration: The map is sent to the invited user.
* New translation into korean. Thanks to the author.
* Translation into chinese enhanced. Thanks to william chen - (willyann).

* Today button added for time management.
* Encryption menu items disabled if not applicable.
* Bug fix: Automatic layout applies to folded childs.
* New feature: Time Scheduler list added.

* Bug fix: revision plugin shutdown implemented.
* Storage of creation/modification times moved to <node> tag. This times are always updated, even if its display is turned off.
* Bug fix: removal of node background colors introduced.

* Moved personal freeplane folder to '.freeplane' to hide it under Linux and MacOSX. The old folder is moved the first time.

* Window properties of TimeList window is stored in preferences
* Nodebackground color is used in patterns and copy-format

* New map: filename is better chosen (special characters are removed).
* Collaboration: messages are sent zipped now.

* patch from ewl (thanks): new version of classpath resolution suggested by ewl under patch [ 1154510 ] Be able to give absolute classpath entries in plugin.xml
* corrected behaviour of centerNode and displayNode.

* Bug fix: encrypted nodes are stored correctly, even if they are closed before saving.
* Patch introduced: Drag&Drop of files into FM under Windows. Thanks to cerney.

* Window properties of TimeList window enhanced by sorting info. Close action fixed.
* Added selection methods to MindmapActions.
* Select all and select branch added.
* Version updater installed. All mindmaps loaded are automatically converted in the eventually changed
  actual mindmap xml format by the freeplane_version_updater.xml
* Automatic language chooser added. (Now, FM tries to load the user's language. If this does not exist, english is chosen).
* New slowenian translation.

* Merged the node moving algorithm and implementation of Dimitri. Many thanks.
* Bug fix: isPrinting and title of screen.
* Bug fix: copying of links generates new unique ids.

* Bug fix: cutting nodes preserves order.
* Time Management Reminders don't display boxes anymore. Instead they use
  blinking nodes.
* MindMapIcons are singletons now.
* Bug fix: folded root can be unfolded now.
* Docu bug fix: no popup in reminders any more.

* First version of preference window added.
* Some property change listener implemented.
* Bug fix: new nodes have a proper text box.

RC 4:
------------
* Some new languages
* Size+Position is stored for the option panel. Moreover, the first size is adjusted to 800x600.
* Bug fix: [ 1207937 ] [0.8 rc3] Null pointer exception on map load blocks whole FM
* Notes have an icon now.
* Hack removed: encrypted nodes: the xml attribute AA_NODE_CLASS needs not to occur as the first attribute.
* Antialias and selection option changes are now directly applied.
* Option panel stores its panel
* Removing clouds stores its color for undo.
* Added icons to popup menu.
* Version updater adapted to process renames from RC3->RC4.
* Added readme.txt for the src package
* XML must not contain any zero characters.
* Fixed: Filename construction
* Integrated patch: NodeFoldingPatch 1166708. Thanks to John Cerney.
* Node styles, color, selected node, edge, cloud, link color change with option change.
* Little bugs in XSLT exports removed.
* All colors in the option panel now have a "Reset color" popup menu.
* Moved "Goto" to navigate menu.
* Renamed XML representation of encrypted nodes.
* Fixed: File mode (added linkRegistry to FileMapModel).
* New french translation.
* Separators in ToolBar
* Bug fix: folding with the mouse wheel folds selected nodes.
* Changed cursor when over the ellipsis that enables node moving.
* Added keyboard shortcut for property menu.
* Cleaned up format menu.
* Changed option panels keystroke page to have two columns
* Merge with Dimitris Layout adjustments:
	- node positions do not change, when nodes are folded or unfolded.
	- node spacing and graphical link positions returned to the version of 0.7.1
	- padding for bubble style node is bigger now.
* Fix: HYPERLINK_POSITION: the hyperlink is activated when clicked to the region of the node closer to root.

RC 5:
-----
* Enabled standard preferences menu under Mac OS X.
* Bug fix: NodeNote icon is present at file load.
* New layout of edges emerging from root.
* Started to write import XSLT from MindManager X5.
* Reduced memory consumption due to lazy initialization of Node attributes like icons, tooltips, etc.
* Validation task added to build-file
* Translations introduced (thanks to the authors).
* freeplane.xsd improved. Works on the command line (but not with ant...) using
  find . -name "*.mm" -exec xmllint --noout --schema freeplane.xsd {} \;
* mindmanager2mm.xsl done.
* New feature: Import from Mind M*nager X5.
* Commented new layout for root nodes out. To reactivate, go to method
  Point getOutPoint(Point destinationPoint, boolean isLeft) and say if(true)
* Problem solution: Faster shutdown of maps, as redisplay of the map is only performed if the changed node is visible.
* Import folder structure now folds the nodes. This method is to slow to be useful.
* New feature: Export to Open Office Writer
* Memory consumption reduced.

RC 6:
-----
* Added option for amount of undo steps.
* set image by file chooser corrected (undoable).
* html export (variant with map picture) corrected and enhanced by notes and embedded images.
* Unused method removed from MapModel.
* Bug fix: Hierarchical Icons with "cut", "delete" and "undo add icon".
* Actions are disabled if no map is open.
* Bug fix: [ 1251054 ] Unicode input and display in HTML.
* New lithuanian translation. Thanks to oxiris.
* Update version XSLT is only applied if neccessary (for 0.7.1 it is not applied).

===============================
FreeMind 0.7.2:
===============================
* Pluginmechanism added
* Messagebox if recent file not present
* Special key for mac insert
* ModeControllerHookAction added.
* Permanent Hooks can save their things as XML
* Toolbar size reduced by Stefan Zechmeister
* FitToPage corrected by Dimitri
* Lazy initialization of Jython to increase startup speed.
* Icon size reduced
* Unfold all added
* Bug fix: XMLWriter addes additional \n for contents.
* setNode is now called automatically.
* Jython is substituted by an attrappe
* Fold and Unfold one stage is available now.

===============================
FreeMind 0.7.1, 2004-02-15
===============================
* Bug fix: automatic save occurs not so often (in fact, only if something has changed since the last automatic save), and uses a better filename.
* Daniel changed the documentation.
* Bug fix: Documentation opened twice.
* Security fix: path for auto save is changeable and points to the freeplane user properties directory by default
* At normal shutdown, the auto saves are deleted, but this is configurable.
* Bug fix: When a map is closed, the saving stops (Thanks to Karim).
* Bug fix: Blocking is enabled for graphical link popup menu.
* Ant task (development only): ant run is working.

RC3:
----
* Bug fix: select sons of root with shift now gives only sons on the correct side.
* Removed the delayed selection from the menu, it is deprecated now, and will be removed completely at the next release.
* Corrected shading of the rood node for drag&drop
* Bug fix: Selection mechanism: if drag&drop is started, the node under the cursor is selected. Branches are now selected using AltGr or Alt (depends on OS).
* Mac change: the browser call is changed according to Nick. Thanks.
* Bug fix: If more than one selection, folding and editing with mouse disabled. The old behaviour was not useful as the last selected was opened in the editor or was folded even if one pressed on another node.
* Little feature: folding of many selected nodes is working.
* Bug fix: Continuous selection with Shift key corrected. Now, more than one of these selection ranges can be used.
* Logger is now available at the FreeMind interface.
* Automatic save introduced (necessary feature until undo is available)

RC2:
----
* Bug fix: the context menu for graphical links appears not only in the neighbourhood of the link line, but appears in the *FILLED* arc, that is surrounded by the arc. Fixed.
* Selection method added: selection via mouse click as in office programs.
* Click method:
  - inner node
    + single click: fold
    + double click: fold
  - leaf (node without childs)
    + single click: edit
    + double click: edit
* POSITION is only saved if the node is son of root. This prevents having lots of POSITION tags in the saved XML.
* POSITION is chosen right if dropped onto root. (left half, pasted to left, right half, pasted to - you guess it? - right!)
* Left and Right is respected with ENTER.
* Bug fix: cutting nodes including any of their children or grant-children works now. This removes the bug with a moved tree that is completely marked.

RC1:
----
* Bug fix: nodes with arc and bubble nodes have antialiased text when the antialiasing  of edges is on
* Removed the arc, that distinguished bubble nodes from folded nodes. More discussion is needed.
* Selection method changed: double click is now only for editing if the node is *not* an inner node.
* Documentation enhanced: Creation of graphical links is better described
* Bug fix: Zoom in/out uses step one again.
* Bug fix: System default look and feel is set if so stated in the freeplane.properties or user.properties.

===============================
FreeMind 0.7.0:
===============================
* Bug fix: Open and Quit are working if no map is present
* The last closed map can be reopend using a key stroke.
* Bug fix: Context menu is back.
* Selection method changed and simplified: double click is now for editing and single for mark and fold.
* Browser is working again.
* Folded nodes have now an arc on their outer side, where the edge comes into.
* Solved the left/right problem of FreeMind.
* Patches for PrintSetup, RTF and FoldedIcons added. Thanks to the contributors.
* Japanese traduction added
* Corrected the browser call statement. Hopefully, it is right now.
* Changed behaviour of user.porperties. It is now created if not present.
* Moreover, added a FAQ menu item.
* Two maps with same name bug solved.
*
* Add new files for the browse mode.
* Browse mode is working again. Some structural improvements. Deleted doc/pics and doc/compile.
* Bug in printing routine removed
* Copy&Paste works now even with links (they are properly removed)
* Delay in node selection introduced.
* Changed version number to 0.7.0.
* Introduced Dimitris patch for nodes starting with /.
* German translation revised.
* Documentation enhanced.
* First not integrated version of the link registry
* First version with clouds and arrow links.
* Images corrected. Now they display correctly (at least under Linux).
* Internal link handling entierly improved. Now there is a goto on right click onto a link.
* Moreover, it is possible to zoom the map using shift + mouse wheel.
* Link feature matured.
* Mouse wheel zoom support using control key.
* Lots of bugs removed.
* The selection method is now changeable.
* freeplane.sh is now better (thanks to Peter Torngaard).
* Now arrow links can be cut and pasted right.
* Moreover, we have to new translations (dk and it).
* Now the directory structure is as of version 0.6.7
* Now, right clicking an arrow link, a list of all link targets is presented.
* Build corrected.
* Pasting link sources works now good. Link targets are removed from paste.
* Pattern can also affect it sons, selection method improved.
* Clouds are now better drawn.
* Registry is starting to work.
* Now, hidden links can be reached via right click.
* Removed historic text files
* Some structural changes
* Two nice features: choose the default browser
* Long node dialog remembers the enter-confirm-state
* adapted the standard color of a cloud to a brighter value (f0f0f0)

===============================
Freemind 0.6.7, 2003-10-25
===============================
* Introduction of icons

===============================
FreeMind 0.6.5, 2003-09-04
===============================

===============================
FreeMind 0.6.1, 2003-02-08
===============================

===============================
FreeMind   0.6, 2003-02-01
===============================

===============================
FreeMind   0.5, 2002-08-24
===============================

===============================
FreeMind   0.4, 2001-07-07
===============================

===============================
FreeMind 0.3.1, 2001-03-27
===============================

===============================
FreeMind 0.3.0, 2001-03-25
===============================

===============================
FreeMind 0.2.0, 2000-11-02
===============================

===============================
FreeMind 0.1.0, 2000-08-05
===============================

===============================
FreeMind 0.0.3, 2000-07-09
===============================

===============================
FreeMind 0.0.2, 2000-06-27
===============================
